diff --git a/src/input/schaum28.input.pamphlet b/src/input/schaum28.input.pamphlet
index 5c68b06..3ba0bfc 100644
--- a/src/input/schaum28.input.pamphlet
+++ b/src/input/schaum28.input.pamphlet
@@ -234,6 +234,10 @@ aa:=integrate(x/cosh(a*x),x)
 \section{\cite{1}:14.569~~~~~$\displaystyle
 \int{\cosh^2{ax}}~dx$}
 $$\int{\cosh^2{ax}}=
+\frac{x}{2}+\frac{\sinh{ax}\cosh{ax}}{2a}
+$$
+Note that the Schaums print edition (1968 printing 3) has a typo:
+$$\int{\cosh^2{ax}}=
 \frac{x}{2}+\frac{\sinh{ax}\cosh{ax}}{2}
 $$
 <<*>>=
@@ -250,40 +254,21 @@ aa:=integrate(cosh(a*x)^2,x)
 --E
 
 --S 18
-bb:=x/2+(sinh(a*x)*cosh(a*x))/2
+bb:=x/2+(sinh(a*x)*cosh(a*x))/(2*a)
 --R
---R        cosh(a x)sinh(a x) + x
---R   (2)  ----------------------
---R                   2
+--R        cosh(a x)sinh(a x) + a x
+--R   (2)  ------------------------
+--R                   2a
 --R                                                     Type: Expression Integer
 --E
 
---S 19
+--S 19     14:569 Schaums and Axiom agree
 cc:=aa-bb
 --R
---R        (- a + 1)cosh(a x)sinh(a x)
---R   (3)  ---------------------------
---R                     2a
+--R   (3)  0
 --R                                                     Type: Expression Integer
 --E
 
---S 20
-sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
---R
---I                             %B sinh(y + x) - %B sinh(y - x)
---I   (4)  %B cosh(y)sinh(x) == -------------------------------
---R                                            2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 21     14:569 SCHAUMS AND AXIOM DISAGREE?
-dd:=sinhcoshrule cc
---R
---R        (- a + 1)sinh(2a x)
---R   (5)  -------------------
---R                 4a
---R                                                     Type: Expression Integer
---E
 @
 
 \section{\cite{1}:14.570~~~~~$\displaystyle
@@ -294,7 +279,7 @@ $$
 <<*>>=
 )clear all
 
---S 22
+--S 20
 aa:=integrate(x*cosh(a*x)^2,x)
 --R 
 --R
@@ -306,7 +291,7 @@ aa:=integrate(x*cosh(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 23
+--S 21
 bb:=x^2/4+(x*sinh(2*a*x))/(4*a)-cosh(2*a*x)/(8*a^2)
 --R
 --R                                         2 2
@@ -317,7 +302,7 @@ bb:=x^2/4+(x*sinh(2*a*x))/(4*a)-cosh(2*a*x)/(8*a^2)
 --R                                                     Type: Expression Integer
 --E
 
---S 24
+--S 22
 cc:=aa-bb
 --R
 --R   (3)
@@ -332,7 +317,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 25
+--S 23
 sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R
 --R               2    cosh(2x) - 1
@@ -341,7 +326,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 26
+--S 24
 dd:=sinhsqrrule cc
 --R
 --R   (5)
@@ -353,7 +338,7 @@ dd:=sinhsqrrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 27
+--S 25
 coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R
 --R               2    cosh(2x) + 1
@@ -362,7 +347,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 28
+--S 26
 ee:=coshsqrrule dd
 --R
 --R        - x sinh(2a x) + 2x cosh(a x)sinh(a x)
@@ -371,7 +356,7 @@ ee:=coshsqrrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 29
+--S 27
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
 --I                             %S sinh(y + x) - %S sinh(y - x)
@@ -380,7 +365,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 30     14:570 Schaums and Axiom agree
+--S 28     14:570 Schaums and Axiom agree
 ff:=sinhcoshrule ee
 --R
 --R   (9)  0
@@ -396,7 +381,7 @@ $$
 <<*>>=
 )clear all
 
---S 31
+--S 29
 aa:=integrate(1/cosh(a*x)^2,x)
 --R 
 --R
@@ -407,7 +392,7 @@ aa:=integrate(1/cosh(a*x)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 32
+--S 30
 bb:=tanh(a*x)/a
 --R
 --R        tanh(a x)
@@ -416,7 +401,7 @@ bb:=tanh(a*x)/a
 --R                                                     Type: Expression Integer
 --E
 
---S 33
+--S 31
 cc:=aa-bb
 --R
 --R                    2                                  2
@@ -425,155 +410,12 @@ cc:=aa-bb
 --R                         2                                      2
 --R              a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
 --R                                                     Type: Expression Integer
---E
-
---S 34
-tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
---R
---R                   sinh(x)
---R   (4)  tanh(x) == -------
---R                   cosh(x)
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 35
-dd:=tanhrule cc
---R
---R   (5)
---R                  3                      2               2
---R       - sinh(a x)  - 2cosh(a x)sinh(a x)  + (- cosh(a x)  - 1)sinh(a x)
---R     + 
---R       - 2cosh(a x)
---R  /
---R                         2               2                       3
---R     a cosh(a x)sinh(a x)  + 2a cosh(a x) sinh(a x) + a cosh(a x)  + a cosh(a x)
---R                                                     Type: Expression Integer
---E
-
---S 36
-sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
---R
---R               2    cosh(2x) - 1
---R   (6)  sinh(x)  == ------------
---R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 37
-ee:=sinhsqrrule dd
---R
---R   (7)
---R                   3                2
---R       - 2sinh(a x)  + (- 2cosh(a x)  - 2)sinh(a x) - 2cosh(a x)cosh(2a x)
---R     + 
---R       - 2cosh(a x)
---R  /
---R                   2                                                3
---R       4a cosh(a x) sinh(a x) + a cosh(a x)cosh(2a x) + 2a cosh(a x)
---R     + 
---R       a cosh(a x)
---R                                                     Type: Expression Integer
---E
-
---S 38
-coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
---R
---R               2    cosh(2x) + 1
---R   (8)  cosh(x)  == ------------
---R                          2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 39
-ff:=coshsqrrule ee
---R
---R   (9)
---R                   3
---R       - 2sinh(a x)  + (- cosh(2a x) - 3)sinh(a x) - 2cosh(a x)cosh(2a x)
---R     + 
---R       - 2cosh(a x)
---R  /
---R                                                                           3
---R       (2a cosh(2a x) + 2a)sinh(a x) + a cosh(a x)cosh(2a x) + 2a cosh(a x)
---R     + 
---R       a cosh(a x)
---R                                                     Type: Expression Integer
---E
-
---S 40
-sinhcuberule:=rule(sinh(x)^3 == 1/4*sinh(3*x)-3/4*sinh(x))
---R
---R                3    sinh(3x) - 3sinh(x)
---R   (10)  sinh(x)  == -------------------
---R                              4
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 41
-gg:=sinhcuberule ff
---R
---R   (11)
---R       - sinh(3a x) + (- 2cosh(2a x) - 3)sinh(a x) - 4cosh(a x)cosh(2a x)
---R     + 
---R       - 4cosh(a x)
---R  /
---R                                                                            3
---R       (4a cosh(2a x) + 4a)sinh(a x) + 2a cosh(a x)cosh(2a x) + 4a cosh(a x)
---R     + 
---R       2a cosh(a x)
---R                                                     Type: Expression Integer
---E
-
---S 42
-coshcuberule:=rule(cosh(x)^3 == 1/4*cosh(3*x)-3/4*cosh(x))
---R
---R                3    cosh(3x) - 3cosh(x)
---R   (12)  cosh(x)  == -------------------
---R                              4
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 43
-hh:=coshcuberule gg
---R
---R   (13)
---R       - sinh(3a x) + (- 2cosh(2a x) - 3)sinh(a x) - 4cosh(a x)cosh(2a x)
---R     + 
---R       - 4cosh(a x)
---R  /
---R       (4a cosh(2a x) + 4a)sinh(a x) + a cosh(3a x) + 2a cosh(a x)cosh(2a x)
---R     + 
---R       - a cosh(a x)
---R                                                     Type: Expression Integer
---E
-
---S 44
-coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
---R
---I                              %U cosh(y + x) + %U cosh(y - x)
---I   (14)  %U cosh(x)cosh(y) == -------------------------------
---R                                             2
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 45
-ii:=coshcoshrule hh
---R
---R   (15)
---R   - sinh(3a x) + (- 2cosh(2a x) - 3)sinh(a x) - 2cosh(3a x) - 6cosh(a x)
---R   ----------------------------------------------------------------------
---R                (4a cosh(2a x) + 4a)sinh(a x) + 2a cosh(3a x)
---R                                                     Type: Expression Integer
---E
-
---S 46     14:571 SCHAUMS AND AXIOM DISAGREE?
-jj:=complexNormalize ii
+--S 32
+dd:=complexNormalize cc
 --R
---R               a x 2
---R         - 2(%e   )  - 2
---R   (16)  ---------------
---R               a x 2
---R         2a (%e   )  - a
+--R          1
+--R   (4)  - -
+--R          a
 --R                                                     Type: Expression Integer
 --E
 @
@@ -586,7 +428,7 @@ $$
 <<*>>=
 )clear all
 
---S 47
+--S 33 
 aa:=integrate(cosh(a*x)*cosh(p*x),x)
 --R 
 --R
@@ -597,7 +439,7 @@ aa:=integrate(cosh(a*x)*cosh(p*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 48
+--S 34
 bb:=(sinh(a-p)*x)/(2*(a-p))+(sinh(a+p)*x)/(2*(a+p))
 --R
 --R        (p - a)x sinh(p + a) + (p + a)x sinh(p - a)
@@ -607,7 +449,7 @@ bb:=(sinh(a-p)*x)/(2*(a-p))+(sinh(a+p)*x)/(2*(a+p))
 --R                                                     Type: Expression Integer
 --E
 
---S 49
+--S 35
 cc:=aa-bb
 --R
 --R   (3)
@@ -627,7 +469,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 50
+--S 36
 sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R
 --R               2    cosh(2x) - 1
@@ -636,7 +478,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 51
+--S 37
 dd:=sinhsqrrule cc
 --R
 --R   (5)
@@ -653,7 +495,7 @@ dd:=sinhsqrrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 52
+--S 38
 coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R
 --R               2    cosh(2x) + 1
@@ -662,7 +504,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 53
+--S 39
 ee:=coshsqrrule dd
 --R
 --R   (7)
@@ -675,7 +517,7 @@ ee:=coshsqrrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 54
+--S 40
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
 --I                             %V sinh(y + x) - %V sinh(y - x)
@@ -684,7 +526,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 55     14:572 Schaums and Axiom agree
+--S 41     14:572 Schaums and Axiom agree
 ff:=sinhcoshrule ee
 --R
 --R   (9)
@@ -706,7 +548,7 @@ $$
 <<*>>=
 )clear all
 
---S 56
+--S 42
 aa:=integrate(cosh(a*x)*sin(p*x),x)
 --R 
 --R
@@ -724,7 +566,7 @@ aa:=integrate(cosh(a*x)*sin(p*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 57
+--S 43
 bb:=(a*sinh(a*x)*sin(p*x)-p*cosh(a*x)*cos(p*x))/(a^2+p^2)
 --R
 --R        a sin(p x)sinh(a x) - p cos(p x)cosh(a x)
@@ -734,7 +576,7 @@ bb:=(a*sinh(a*x)*sin(p*x)-p*cosh(a*x)*cos(p*x))/(a^2+p^2)
 --R                                                     Type: Expression Integer
 --E
 
---S 58
+--S 44
 cc:=aa-bb
 --R
 --R   (3)
@@ -749,7 +591,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 59
+--S 45
 coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R
 --R               2    cosh(2x) + 1
@@ -758,7 +600,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 60
+--S 46
 dd:=coshsqrrule cc
 --R
 --R   (5)
@@ -772,7 +614,7 @@ dd:=coshsqrrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 61
+--S 47
 sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R
 --R               2    cosh(2x) - 1
@@ -781,7 +623,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 62     14:573 Schaums and Axiom agree
+--S 48     14:573 Schaums and Axiom agree
 ee:=sinhsqrrule dd
 --R
 --R   (7)  0
@@ -797,7 +639,7 @@ $$
 <<*>>=
 )clear all
 
---S 63
+--S 49
 aa:=integrate(cosh(a*x)*cos(p*x),x)
 --R 
 --R
@@ -815,7 +657,7 @@ aa:=integrate(cosh(a*x)*cos(p*x),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 64
+--S 50
 bb:=(a*sinh(a*x)*cos(p*x)+p*cosh(a*x)*sin(p*x))/(a^2+p^2)
 --R
 --R        a cos(p x)sinh(a x) + p cosh(a x)sin(p x)
@@ -825,7 +667,7 @@ bb:=(a*sinh(a*x)*cos(p*x)+p*cosh(a*x)*sin(p*x))/(a^2+p^2)
 --R                                                     Type: Expression Integer
 --E
 
---S 65
+--S 51
 cc:=aa-bb
 --R
 --R   (3)
@@ -840,7 +682,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 66
+--S 52
 coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R
 --R               2    cosh(2x) + 1
@@ -849,7 +691,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 67
+--S 53
 dd:=coshsqrrule cc
 --R
 --R   (5)
@@ -863,7 +705,7 @@ dd:=coshsqrrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 68
+--S 54
 sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R
 --R               2    cosh(2x) - 1
@@ -872,7 +714,7 @@ sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 69     14:574 Schaums and Axiom agree
+--S 55     14:574 Schaums and Axiom agree
 ee:=sinhsqrrule dd
 --R
 --R   (7)  0
@@ -888,7 +730,7 @@ $$
 <<*>>=
 )clear all
 
---S 70
+--S 56
 aa:=integrate(1/(cosh(a*x)+1),x)
 --R 
 --R
@@ -898,7 +740,7 @@ aa:=integrate(1/(cosh(a*x)+1),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 71
+--S 57
 bb:=1/a*tanh((a*x)/2)
 --R
 --R             a x
@@ -909,7 +751,7 @@ bb:=1/a*tanh((a*x)/2)
 --R                                                     Type: Expression Integer
 --E
 
---S 72
+--S 58
 cc:=aa-bb
 --R
 --R                                          a x
@@ -920,7 +762,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 73
+--S 59
 tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
 --R
 --R                   sinh(x)
@@ -929,7 +771,7 @@ tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 74
+--S 60
 dd:=tanhrule cc
 --R
 --R               a x                                   a x          a x
@@ -942,7 +784,7 @@ dd:=tanhrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 75
+--S 61
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
 --I                             %B sinh(y + x) - %B sinh(y - x)
@@ -951,7 +793,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 76
+--S 62
 ee:=sinhcoshrule dd
 --R
 --R                  3a x          a x                  a x          a x
@@ -964,7 +806,7 @@ ee:=sinhcoshrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 77
+--S 63
 sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R
 --I                             %B cosh(y + x) - %B cosh(y - x)
@@ -973,7 +815,7 @@ sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 78
+--S 64
 ff:=sinhsinhrule ee
 --R
 --R                       3a x         a x         3a x          a x
@@ -986,7 +828,7 @@ ff:=sinhsinhrule ee
 --R                                                     Type: Expression Integer
 --E
 
---S 79
+--S 65
 coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R
 --I                               %BC cosh(y + x) + %BC cosh(y - x)
@@ -995,7 +837,7 @@ coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 80     14:575 Schaums and Axiom differ by a constant
+--S 66     14:575 Schaums and Axiom differ by a constant
 gg:=coshcoshrule ff
 --R
 --R           1
@@ -1013,7 +855,7 @@ $$
 <<*>>=
 )clear all
 
---S 81
+--S 67
 aa:=integrate(1/(cosh(a*x)-1),x)
 --R 
 --R
@@ -1023,7 +865,7 @@ aa:=integrate(1/(cosh(a*x)-1),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 82
+--S 68
 bb:=-1/a*coth((a*x)/2)
 --R
 --R               a x
@@ -1034,7 +876,7 @@ bb:=-1/a*coth((a*x)/2)
 --R                                                     Type: Expression Integer
 --E
 
---S 83
+--S 69
 cc:=aa-bb
 --R
 --R             a x                                 a x
@@ -1045,7 +887,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 84
+--S 70
 cothrule:=rule(coth(x) == cosh(x)/sinh(x))
 --R
 --R                   cosh(x)
@@ -1054,7 +896,7 @@ cothrule:=rule(coth(x) == cosh(x)/sinh(x))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 85
+--S 71
 dd:=cothrule cc
 --R
 --R             a x                   a x         a x                  a x
@@ -1067,7 +909,7 @@ dd:=cothrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 86
+--S 72
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
 --I                              %BD sinh(y + x) - %BD sinh(y - x)
@@ -1076,7 +918,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 87
+--S 73
 ee:=sinhcoshrule dd
 --R
 --R             3a x          a x          a x                   a x
@@ -1089,7 +931,7 @@ ee:=sinhcoshrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 88
+--S 74
 sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R
 --I                              %BE cosh(y + x) - %BE cosh(y - x)
@@ -1098,7 +940,7 @@ sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 89
+--S 75
 ff:=sinhsinhrule ee
 --R
 --R             3a x          a x          a x                   a x
@@ -1111,7 +953,7 @@ ff:=sinhsinhrule ee
 --R                                                     Type: Expression Integer
 --E
 
---S 90
+--S 76
 coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R
 --I                               %BF cosh(y + x) + %BF cosh(y - x)
@@ -1120,7 +962,7 @@ coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 91     14:576 Schaums and Axiom differ by a constant
+--S 77     14:576 Schaums and Axiom differ by a constant
 gg:=coshcoshrule ff
 --R
 --R         1
@@ -1138,7 +980,7 @@ $$
 <<*>>=
 )clear all
 
---S 92
+--S 78
 aa:=integrate(x/(cosh(a*x)+1),x)
 --R 
 --R
@@ -1152,7 +994,7 @@ aa:=integrate(x/(cosh(a*x)+1),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 93
+--S 79
 bb:=x/a*tanh((a*x)/2)-2/a^2*log(cosh((a*x)/2))
 --R
 --R                    a x              a x
@@ -1164,7 +1006,7 @@ bb:=x/a*tanh((a*x)/2)-2/a^2*log(cosh((a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 94
+--S 80
 cc:=aa-bb
 --R
 --R   (3)
@@ -1185,7 +1027,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 95
+--S 81
 tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
 --R
 --R                   sinh(x)
@@ -1194,7 +1036,7 @@ tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 96
+--S 82
 dd:=tanhrule cc
 --R
 --R   (5)
@@ -1222,7 +1064,7 @@ dd:=tanhrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 97
+--S 83
 coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R
 --I                              %BG cosh(y + x) + %BG cosh(y - x)
@@ -1231,7 +1073,7 @@ coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 98
+--S 84
 ee:=coshcoshrule dd
 --R
 --R   (7)
@@ -1259,7 +1101,7 @@ ee:=coshcoshrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 99
+--S 85
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
 --I                              %BH sinh(y + x) - %BH sinh(y - x)
@@ -1268,7 +1110,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 100
+--S 86
 ff:=sinhcoshrule ee
 --R
 --R   (9)
@@ -1296,7 +1138,7 @@ ff:=sinhcoshrule ee
 --R                                                     Type: Expression Integer
 --E
 
---S 101
+--S 87
 sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R
 --I                               %BI cosh(y + x) - %BI cosh(y - x)
@@ -1305,7 +1147,7 @@ sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 102
+--S 88
 gg:=sinhsinhrule ff
 --R
 --R                                                       a x
@@ -1317,7 +1159,7 @@ gg:=sinhsinhrule ff
 --R                                                     Type: Expression Integer
 --E
 
---S 103    14:577 Schaums and Axiom differ by a constant
+--S 89     14:577 Schaums and Axiom differ by a constant
 complexNormalize gg
 --R
 --R           2log(2)
@@ -1336,7 +1178,7 @@ $$
 <<*>>=
 )clear all
 
---S 104
+--S 90
 aa:=integrate(x/(cosh(a*x)-1),x)
 --R 
 --R
@@ -1350,7 +1192,7 @@ aa:=integrate(x/(cosh(a*x)-1),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 105
+--S 91
 bb:=-x/a*coth((a*x)/2)+2/a^2*log(sinh((a*x)/2))
 --R
 --R                  a x              a x
@@ -1362,7 +1204,7 @@ bb:=-x/a*coth((a*x)/2)+2/a^2*log(sinh((a*x)/2))
 --R                                                     Type: Expression Integer
 --E
 
---S 106
+--S 92
 cc:=aa-bb
 --R
 --R   (3)
@@ -1383,7 +1225,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 107
+--S 93
 cothrule:=rule(coth(x) == cosh(x)/sinh(x))
 --R
 --R                   cosh(x)
@@ -1392,7 +1234,7 @@ cothrule:=rule(coth(x) == cosh(x)/sinh(x))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 108
+--S 94
 dd:=cothrule cc
 --R
 --R   (5)
@@ -1420,7 +1262,7 @@ dd:=cothrule cc
 --R                                                     Type: Expression Integer
 --E
 
---S 109
+--S 95
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
 --I                              %BJ sinh(y + x) - %BJ sinh(y - x)
@@ -1429,7 +1271,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 110
+--S 96
 ee:=sinhcoshrule dd
 --R
 --R   (7)
@@ -1457,7 +1299,7 @@ ee:=sinhcoshrule dd
 --R                                                     Type: Expression Integer
 --E
 
---S 111
+--S 97
 sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R
 --I                              %BK cosh(y + x) - %BK cosh(y - x)
@@ -1466,7 +1308,7 @@ sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 112
+--S 98
 ff:=sinhsinhrule ee
 --R
 --R   (9)
@@ -1494,7 +1336,7 @@ ff:=sinhsinhrule ee
 --R                                                     Type: Expression Integer
 --E
 
---S 113
+--S 99
 coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R
 --I                               %BL cosh(y + x) + %BL cosh(y - x)
@@ -1503,7 +1345,7 @@ coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 114
+--S 100
 gg:=coshcoshrule ff
 --R
 --R                                                     a x
@@ -1515,7 +1357,7 @@ gg:=coshcoshrule ff
 --R                                                     Type: Expression Integer
 --E
 
---S 115    14:578 Schaums and Axiom differ by a constant
+--S 101    14:578 Schaums and Axiom differ by a constant
 hh:=complexNormalize gg
 --R
 --R         2log(2)
@@ -1534,7 +1376,7 @@ $$
 <<*>>=
 )clear all
 
---S 116
+--S 102
 aa:=integrate(1/(cosh(a*x)+1)^2,x)
 --R 
 --R
@@ -1552,7 +1394,7 @@ aa:=integrate(1/(cosh(a*x)+1)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 117
+--S 103
 bb:=1/(2*a)*tanh((a*x)/2)-1/(6*a)*tanh((a*x)/2)^3
 --R
 --R               a x 3         a x
@@ -1563,7 +1405,7 @@ bb:=1/(2*a)*tanh((a*x)/2)-1/(6*a)*tanh((a*x)/2)^3
 --R                                                     Type: Expression Integer
 --E
 
---S 118    14:579 Axiom cannot compute this integral
+--S 104    14:579 Axiom cannot compute this integral
 cc:=aa-bb
 --R
 --R   (3)
@@ -1614,7 +1456,7 @@ $$
 <<*>>=
 )clear all
 
---S 119
+--S 105
 aa:=integrate(1/(cosh(a*x)-1)^2,x)
 --R 
 --R
@@ -1632,7 +1474,7 @@ aa:=integrate(1/(cosh(a*x)-1)^2,x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 120
+--S 106
 bb:=1/(2*a)*coth((a*x)/2)-1/(6*a)*coth((a*x)/2)^3
 --R
 --R               a x 3         a x
@@ -1643,7 +1485,7 @@ bb:=1/(2*a)*coth((a*x)/2)-1/(6*a)*coth((a*x)/2)^3
 --R                                                     Type: Expression Integer
 --E
 
---S 121    14:580 Axiom cannot compute this integral
+--S 107    14:580 Axiom cannot compute this integral
 cc:=aa-bb
 --R
 --R   (3)
@@ -1702,7 +1544,7 @@ $$
 <<*>>=
 )clear all
 
---S 122
+--S 108
 aa:=integrate(1/(p+q*cosh(a*x)),x)
 --R 
 --R
@@ -1744,7 +1586,7 @@ aa:=integrate(1/(p+q*cosh(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 123
+--S 109
 bb1:=2/(a*sqrt(q^2-p^2))*atan((q*%e^(a*x)+p)/sqrt(q^2-p^2))
 --R
 --R                  a x
@@ -1760,7 +1602,7 @@ bb1:=2/(a*sqrt(q^2-p^2))*atan((q*%e^(a*x)+p)/sqrt(q^2-p^2))
 --R                                                     Type: Expression Integer
 --E
 
---S 124
+--S 110
 bb2:=1/(a*sqrt(p^2-q^2))*log((q*%e^(a*x)+p-sqrt(p^2-q^2))/(q*%e^(a*x)+p+sqrt(p^2-q^2)))
 --R
 --R               +---------+
@@ -1777,7 +1619,7 @@ bb2:=1/(a*sqrt(p^2-q^2))*log((q*%e^(a*x)+p-sqrt(p^2-q^2))/(q*%e^(a*x)+p+sqrt(p^2
 --R                                                     Type: Expression Integer
 --E
 
---S 125
+--S 111
 cc1:=aa.1-bb1
 --R
 --R   (4)
@@ -1817,7 +1659,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 126
+--S 112
 cc2:=aa.2-bb1
 --R
 --R                                              +-------+
@@ -1834,7 +1676,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 127
+--S 113
 cc3:=aa.1-bb2
 --R
 --R   (6)
@@ -1871,7 +1713,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 128    14:581 Axiom cannot simplify this expression
+--S 114    14:581 Axiom cannot simplify this expression
 cc4:=aa.2-bb2
 --R
 --R   (7)
@@ -1907,7 +1749,7 @@ $$
 <<*>>=
 )clear all
 
---S 129
+--S 115
 aa:=integrate(1/(p+q*cosh(a*x))^2,x)
 --R 
 --R
@@ -1989,7 +1831,7 @@ aa:=integrate(1/(p+q*cosh(a*x))^2,x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 130
+--S 116
 t1:=integrate(1/(p+q*cosh(a*x)),x)
 --R
 --R   (2)
@@ -2030,7 +1872,7 @@ t1:=integrate(1/(p+q*cosh(a*x)),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E
 
---S 131
+--S 117
 bb1:=(q*sinh(a*x))/(a*(q^2-p^2)*(p+q*cosh(a*x)))-p/(q^2-p^2)*t1.1
 --R
 --R   (3)
@@ -2066,7 +1908,7 @@ bb1:=(q*sinh(a*x))/(a*(q^2-p^2)*(p+q*cosh(a*x)))-p/(q^2-p^2)*t1.1
 --R                                                     Type: Expression Integer
 --E
 
---S 132
+--S 118
 bb2:=(q*sinh(a*x))/(a*(q^2-p^2)*(p+q*cosh(a*x)))-p/(q^2-p^2)*t1.2
 --R
 --R   (4)
@@ -2087,7 +1929,7 @@ bb2:=(q*sinh(a*x))/(a*(q^2-p^2)*(p+q*cosh(a*x)))-p/(q^2-p^2)*t1.2
 --R                                                     Type: Expression Integer
 --E
 
---S 133
+--S 119
 cc1:=aa.1-bb1
 --R
 --R   (5)
@@ -2183,7 +2025,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 134
+--S 120
 cc2:=aa.2-bb1
 --R
 --R   (6)
@@ -2271,7 +2113,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 135
+--S 121
 cc3:=aa.1-bb2
 --R
 --R   (7)
@@ -2359,7 +2201,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 136    14:582 Axiom cannot simplify this expression
+--S 122    14:582 Axiom cannot simplify this expression
 cc4:=aa.2-bb2
 --R
 --R   (8)
@@ -2409,7 +2251,7 @@ $$
 <<*>>=
 )clear all
 
---S 137
+--S 123
 aa:=integrate(1/(p^2-q^2*cosh(a*x)^2),x)
 --R 
 --R
@@ -2477,7 +2319,7 @@ aa:=integrate(1/(p^2-q^2*cosh(a*x)^2),x)
 --R                                     Type: Union(List Expression Integer,...)
 --E 
 
---S 138
+--S 124
 bb1:=1/(2*a*p*sqrt(p^2-q^2))*log((p*tanh(a*x)+sqrt(p^2-q^2))/(p*tanh(a*x)-sqrt(p^2-q^2)))
 --R
 --R               +---------+
@@ -2494,7 +2336,7 @@ bb1:=1/(2*a*p*sqrt(p^2-q^2))*log((p*tanh(a*x)+sqrt(p^2-q^2))/(p*tanh(a*x)-sqrt(p
 --R                                                     Type: Expression Integer
 --E
 
---S 139
+--S 125
 bb2:=-1/(a*p*sqrt(q^2-p^2))*atan((p*tanh(a*x))/sqrt(q^2-p^2))
 --R
 --R               p tanh(a x)
@@ -2509,7 +2351,7 @@ bb2:=-1/(a*p*sqrt(q^2-p^2))*atan((p*tanh(a*x))/sqrt(q^2-p^2))
 --R                                                     Type: Expression Integer
 --E
 
---S 140
+--S 126
 cc1:=aa.1-bb1
 --R
 --R   (4)
@@ -2562,7 +2404,7 @@ cc1:=aa.1-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 141
+--S 127
 cc2:=aa.2-bb1
 --R
 --R   (5)
@@ -2599,7 +2441,7 @@ cc2:=aa.2-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 142
+--S 128
 cc3:=aa.1-bb2
 --R
 --R   (6)
@@ -2658,7 +2500,7 @@ cc3:=aa.1-bb2
 --R                                                     Type: Expression Integer
 --E
 
---S 143    14:583 Axiom cannot simplify this expression
+--S 129    14:583 Axiom cannot simplify this expression
 cc4:=aa.2-bb2
 --R
 --R   (7)
@@ -2708,7 +2550,7 @@ $$
 <<*>>=
 )clear all
 
---S 144
+--S 130
 aa:=integrate(1/(p^2+q^2*cosh(a*x)^2),x)
 --R 
 --R
@@ -2754,7 +2596,7 @@ aa:=integrate(1/(p^2+q^2*cosh(a*x)^2),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
---S 145
+--S 131
 bb1:=1/(2*a*p*sqrt(p^2+q^2))*log((p*tanh(a*x)+sqrt(p^2+q^2))/(p*tanh(a*x)-sqrt(p^2+q^2)))
 --R
 --R               +-------+
@@ -2771,7 +2613,7 @@ bb1:=1/(2*a*p*sqrt(p^2+q^2))*log((p*tanh(a*x)+sqrt(p^2+q^2))/(p*tanh(a*x)-sqrt(p
 --R                                                     Type: Expression Integer
 --E
 
---S 146
+--S 132
 bb2:=1/(a*p*sqrt(p^2+q^2))*atan((p*tanh(a*x))/sqrt(p^2+q^2))
 --R
 --R             p tanh(a x)
@@ -2786,7 +2628,7 @@ bb2:=1/(a*p*sqrt(p^2+q^2))*atan((p*tanh(a*x))/sqrt(p^2+q^2))
 --R                                                     Type: Expression Integer
 --E
 
---S 147
+--S 133
 cc1:=aa-bb1
 --R
 --R   (4)
@@ -2839,7 +2681,7 @@ cc1:=aa-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 148    14:584 Axiom cannot compute this integral
+--S 134    14:584 Axiom cannot compute this integral
 cc2:=aa-bb2
 --R
 --R   (5)
@@ -2899,7 +2741,7 @@ $$
 <<*>>=
 )clear all
 
---S 149    14:585 Axiom cannot compute this integral
+--S 135    14:585 Axiom cannot compute this integral
 aa:=integrate(x^m*cosh(a*x),x)
 --R 
 --R
@@ -2919,7 +2761,7 @@ $$
 <<*>>=
 )clear all
 
---S 150    14:586 Axiom cannot compute this integral
+--S 136    14:586 Axiom cannot compute this integral
 aa:=integrate(cosh(a*x)^n,x)
 --R 
 --R
@@ -2940,7 +2782,7 @@ $$
 <<*>>=
 )clear all
 
---S 151    14:587 Axiom cannot compute this integral
+--S 137    14:587 Axiom cannot compute this integral
 aa:=integrate(cosh(a*x)/x^n,x)
 --R 
 --R
@@ -2962,7 +2804,7 @@ $$
 <<*>>=
 )clear all
 
---S 152    14:588 Axiom cannot compute this integral
+--S 138    14:588 Axiom cannot compute this integral
 aa:=integrate(1/cosh(a*x)^n,x)
 --R 
 --R
@@ -2985,7 +2827,7 @@ $$
 <<*>>=
 )clear all
 
---S 153    14:589 Axiom cannot compute this integral
+--S 139    14:589 Axiom cannot compute this integral
 aa:=integrate(1/cosh(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum29.input.pamphlet b/src/input/schaum29.input.pamphlet
index 37e2800..1aff49f 100644
--- a/src/input/schaum29.input.pamphlet
+++ b/src/input/schaum29.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 14
+--S 1
 aa:=integrate(sinh(a*x)*cosh(a*x),x)
 --R 
 --R
@@ -28,6 +28,63 @@ aa:=integrate(sinh(a*x)*cosh(a*x),x)
 --R                   4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=sinh(a*x)^2/(2*a)
+--R
+--R                 2
+--R        sinh(a x)
+--R   (2)  ----------
+--R            2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                   2            2
+--R        - sinh(a x)  + cosh(a x)
+--R   (3)  -------------------------
+--R                    4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 5
+dd:=sinhsqrrule cc
+--R
+--R                                 2
+--R        - cosh(2a x) + 2cosh(a x)  + 1
+--R   (5)  ------------------------------
+--R                      8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 7      14:590 Schaums and Axiom agree
+ee:=coshsqrrule dd
+--R
+--R         1
+--R   (7)  --
+--R        4a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.591~~~~~$\displaystyle
@@ -38,7 +95,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 14
+--S 8
 aa:=integrate(sinh(p*x)*cosh(q*x),x)
 --R 
 --R
@@ -48,6 +105,35 @@ aa:=integrate(sinh(p*x)*cosh(q*x),x)
 --R         (q  - p )sinh(p x)  + (- q  + p )cosh(p x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 9
+bb:=(cosh(p+q)*x)/(2*(p+q))+(cosh(p-q)*x)/(2*(p-q))
+--R
+--R        (q - p)x cosh(q + p) + (- q - p)x cosh(q - p)
+--R   (2)  ---------------------------------------------
+--R                            2     2
+--R                          2q  - 2p
+--R                                                     Type: Expression Integer
+--E
+
+--S 10     14:591 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       - 2q sinh(p x)sinh(q x)
+--R     + 
+--R                                                               2
+--R       ((- q + p)x cosh(q + p) + (q + p)x cosh(q - p))sinh(p x)
+--R     + 
+--R       2p cosh(p x)cosh(q x)
+--R     + 
+--R                                                               2
+--R       ((q - p)x cosh(q + p) + (- q - p)x cosh(q - p))cosh(p x)
+--R  /
+--R        2     2          2        2     2          2
+--R     (2q  - 2p )sinh(p x)  + (- 2q  + 2p )cosh(p x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.592~~~~~$\displaystyle
@@ -58,7 +144,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 14
+--S 11
 aa:=integrate(sinh(a*x)^n*cosh(a*x),x)
 --R 
 --R
@@ -68,6 +154,29 @@ aa:=integrate(sinh(a*x)^n*cosh(a*x),x)
 --R                    (a n + a)sinh(a x)  + (- a n - a)cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 12
+bb:=sinh(a*x)/((n+1)*a)
+--R
+--R        sinh(a x)
+--R   (2)  ---------
+--R         a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 13     14:592 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       - sinh(a x)sinh(n log(sinh(a x))) - sinh(a x)cosh(n log(sinh(a x)))
+--R     + 
+--R                  3            2
+--R       - sinh(a x)  + cosh(a x) sinh(a x)
+--R  /
+--R                       2                       2
+--R     (a n + a)sinh(a x)  + (- a n - a)cosh(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.593~~~~~$\displaystyle
@@ -78,7 +187,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 14
+--S 14
 aa:=integrate(cosh(a*x)^n*sinh(a*x),x)
 --R 
 --R
@@ -88,6 +197,29 @@ aa:=integrate(cosh(a*x)^n*sinh(a*x),x)
 --R                    (a n + a)sinh(a x)  + (- a n - a)cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 15
+bb:=cosh(a*x)^(n+1)/((n+1)*a)
+--R
+--R                 n + 1
+--R        cosh(a x)
+--R   (2)  --------------
+--R            a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 16     14:593 Axiom cannot simplify this expression
+--R
+--R   (3)
+--R       - cosh(a x)sinh(n log(cosh(a x))) - cosh(a x)cosh(n log(cosh(a x)))
+--R     + 
+--R                   2            2          n + 1
+--R       (- sinh(a x)  + cosh(a x) )cosh(a x)
+--R  /
+--R                       2                       2
+--R     (a n + a)sinh(a x)  + (- a n - a)cosh(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.594~~~~~$\displaystyle
@@ -98,7 +230,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 14
+--S 17
 aa:=integrate(sinh(a*x)^2*cosh(a*x)^2,x)
 --R 
 --R
@@ -108,6 +240,22 @@ aa:=integrate(sinh(a*x)^2*cosh(a*x)^2,x)
 --R                               8a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 18
+bb:=sinh(4*a*x)/(32*a)-x/8
+--R
+--R        sinh(4a x) - 4a x
+--R   (2)  -----------------
+--R               32a
+--R                                                     Type: Expression Integer
+--E
+
+--S 19     14:594 Schaums and Axiom agree
+cc:=complexNormalize(aa-bb)
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.595~~~~~$\displaystyle
@@ -118,7 +266,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 14
+--S 20
 aa:=integrate(1/(sinh(a*x)*cosh(a*x)),x)
 --R 
 --R
@@ -129,6 +277,67 @@ aa:=integrate(1/(sinh(a*x)*cosh(a*x)),x)
 --R                                      a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 21
+bb:=1/a*log(tanh(a*x))
+--R
+--R        log(tanh(a x))
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+cc:=aa-bb
+--R
+--R   (3)
+--R                                      2cosh(a x)
+--R       - log(tanh(a x)) - log(- ---------------------)
+--R                                sinh(a x) - cosh(a x)
+--R     + 
+--R                   2sinh(a x)
+--R       log(- ---------------------)
+--R             sinh(a x) - cosh(a x)
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+dd:=expandLog cc
+--R
+--R        - log(tanh(a x)) + log(sinh(a x)) - log(cosh(a x))
+--R   (4)  --------------------------------------------------
+--R                                 a
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (5)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25
+ee:=tanhrule dd
+--R
+--R                             sinh(a x)
+--R        log(sinh(a x)) - log(---------) - log(cosh(a x))
+--R                             cosh(a x)
+--R   (6)  ------------------------------------------------
+--R                                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26     14:595 Schaums and Axiom agree
+ff:=expandLog ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.596~~~~~$\displaystyle
@@ -139,17 +348,52 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 14
-aa:=integrate(1/(sinh(a*x)^2*cos(a*x)),x)
---R 
+--S 27
+aa:=integrate(1/(sinh(a*x)^2*cosh(a*x)),x)
 --R
---R           x
---R         ++            1
---I   (1)   |   -------------------- d%R
---R        ++                      2
---I             cos(%R a)sinh(%R a)
+--R   (1)
+--R                      2                                   2
+--R         (- 2sinh(a x)  - 4cosh(a x)sinh(a x) - 2cosh(a x)  + 2)
+--R      *
+--R         atan(sinh(a x) + cosh(a x))
+--R     + 
+--R       - 2sinh(a x) - 2cosh(a x)
+--R  /
+--R                2                                      2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 28
+bb:=-1/a*atan(sinh(a*x)-csch(a*x))/a
+--R
+--R          atan(sinh(a x) - csch(a x))
+--R   (2)  - ---------------------------
+--R                        2
+--R                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 29     14:596 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                        2                                       2
+--R         (- 2a sinh(a x)  - 4a cosh(a x)sinh(a x) - 2a cosh(a x)  + 2a)
+--R      *
+--R         atan(sinh(a x) + cosh(a x))
+--R     + 
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1)
+--R      *
+--R         atan(sinh(a x) - csch(a x))
+--R     + 
+--R       - 2a sinh(a x) - 2a cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.597~~~~~$\displaystyle
@@ -160,7 +404,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 14
+--S 30
 aa:=integrate(1/(sinh(a*x)*cosh(a*x)^2),x)
 --R 
 --R
@@ -181,6 +425,272 @@ aa:=integrate(1/(sinh(a*x)*cosh(a*x)^2),x)
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 31
+bb:=sech(a*x)/a+1/a*log(tanh((a*x)/2))
+--R
+--R                 a x
+--R        log(tanh(---)) + sech(a x)
+--R                  2
+--R   (2)  --------------------------
+--R                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+cc:=aa-bb
+--R
+--R   (3)
+--R                   2                                  2              a x
+--R       (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)log(tanh(---))
+--R                                                                      2
+--R     + 
+--R                     2                                  2
+--R         (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                           2
+--R       - sech(a x)sinh(a x)  + (- 2cosh(a x)sech(a x) + 2)sinh(a x)
+--R     + 
+--R                   2
+--R       (- cosh(a x)  - 1)sech(a x) + 2cosh(a x)
+--R  /
+--R                2                                      2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+sechrule:=rule(sech(x) == 1/cosh(x))
+--R
+--R                      1
+--R   (4)  sech(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 34
+dd:=sechrule cc
+--R
+--R   (5)
+--R                              2             2                     3
+--R         (- cosh(a x)sinh(a x)  - 2cosh(a x) sinh(a x) - cosh(a x)  - cosh(a x))
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                              2             2                     3
+--R         (- cosh(a x)sinh(a x)  - 2cosh(a x) sinh(a x) - cosh(a x)  - cosh(a x))
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                            2             2                     3
+--R         (cosh(a x)sinh(a x)  + 2cosh(a x) sinh(a x) + cosh(a x)  + cosh(a x))
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                  2            2
+--R       - sinh(a x)  + cosh(a x)  - 1
+--R  /
+--R                         2               2                       3
+--R     a cosh(a x)sinh(a x)  + 2a cosh(a x) sinh(a x) + a cosh(a x)  + a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 35
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (6)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 36
+ee:=tanhrule dd
+--R
+--R   (7)
+--R                              2             2                     3
+--R         (- cosh(a x)sinh(a x)  - 2cosh(a x) sinh(a x) - cosh(a x)  - cosh(a x))
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                            2             2                     3
+--R         (cosh(a x)sinh(a x)  + 2cosh(a x) sinh(a x) + cosh(a x)  + cosh(a x))
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                              2             2                     3
+--R         (- cosh(a x)sinh(a x)  - 2cosh(a x) sinh(a x) - cosh(a x)  - cosh(a x))
+--R      *
+--R                  a x
+--R             sinh(---)
+--R                   2
+--R         log(---------)
+--R                  a x
+--R             cosh(---)
+--R                   2
+--R     + 
+--R                  2            2
+--R       - sinh(a x)  + cosh(a x)  - 1
+--R  /
+--R                         2               2                       3
+--R     a cosh(a x)sinh(a x)  + 2a cosh(a x) sinh(a x) + a cosh(a x)  + a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+coshcuberule:=rule(cosh(x)^3 == 1/4*cosh(3*x)-3/4*cosh(x))
+--R
+--R               3    cosh(3x) - 3cosh(x)
+--R   (8)  cosh(x)  == -------------------
+--R                             4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 38
+ff:=coshcuberule ee
+--R
+--R   (9)
+--R                                  2             2
+--R             - 4cosh(a x)sinh(a x)  - 8cosh(a x) sinh(a x) - cosh(3a x)
+--R           + 
+--R             - cosh(a x)
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                             2             2
+--R         (4cosh(a x)sinh(a x)  + 8cosh(a x) sinh(a x) + cosh(3a x) + cosh(a x))
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                                  2             2
+--R             - 4cosh(a x)sinh(a x)  - 8cosh(a x) sinh(a x) - cosh(3a x)
+--R           + 
+--R             - cosh(a x)
+--R      *
+--R                  a x
+--R             sinh(---)
+--R                   2
+--R         log(---------)
+--R                  a x
+--R             cosh(---)
+--R                   2
+--R     + 
+--R                   2             2
+--R       - 4sinh(a x)  + 4cosh(a x)  - 4
+--R  /
+--R                            2               2
+--R       4a cosh(a x)sinh(a x)  + 8a cosh(a x) sinh(a x) + a cosh(3a x)
+--R     + 
+--R       a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 39
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R                2    cosh(2x) + 1
+--R   (10)  cosh(x)  == ------------
+--R                           2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 40
+gg:=coshsqrrule ff
+--R
+--R   (11)
+--R                                2
+--R           - 4cosh(a x)sinh(a x)  + (- 4cosh(2a x) - 4)sinh(a x) - cosh(3a x)
+--R         + 
+--R           - cosh(a x)
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                              2
+--R           4cosh(a x)sinh(a x)  + (4cosh(2a x) + 4)sinh(a x) + cosh(3a x)
+--R         + 
+--R           cosh(a x)
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                                2
+--R           - 4cosh(a x)sinh(a x)  + (- 4cosh(2a x) - 4)sinh(a x) - cosh(3a x)
+--R         + 
+--R           - cosh(a x)
+--R      *
+--R                  a x
+--R             sinh(---)
+--R                   2
+--R         log(---------)
+--R                  a x
+--R             cosh(---)
+--R                   2
+--R     + 
+--R                   2
+--R       - 4sinh(a x)  + 2cosh(2a x) - 2
+--R  /
+--R                            2
+--R       4a cosh(a x)sinh(a x)  + (4a cosh(2a x) + 4a)sinh(a x) + a cosh(3a x)
+--R     + 
+--R       a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 41
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R                2    cosh(2x) - 1
+--R   (12)  sinh(x)  == ------------
+--R                           2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 42
+hh:=sinhsqrrule gg
+--R
+--R   (13)
+--R       - log(sinh(a x) + cosh(a x) + 1) + log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                  a x
+--R             sinh(---)
+--R                   2
+--R       - log(---------)
+--R                  a x
+--R             cosh(---)
+--R                   2
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+ii:=expandLog hh
+--R
+--R   (14)
+--R       - log(sinh(a x) + cosh(a x) + 1) + log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                  a x              a x
+--R       - log(sinh(---)) + log(cosh(---))
+--R                   2                2
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 44     14:597 Schaums and Axiom agree
+jj:=complexNormalize ii
+--R
+--R   (15)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.598~~~~~$\displaystyle
@@ -191,7 +701,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 14
+--S 45
 aa:=integrate(1/(sinh(a*x)^2*cosh(a*x)^2),x)
 --R 
 --R
@@ -206,6 +716,35 @@ aa:=integrate(1/(sinh(a*x)^2*cosh(a*x)^2),x)
 --R          4a cosh(a x) sinh(a x) + a cosh(a x)  - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 46
+bb:=-(2*coth(2*a*x))/a
+--R
+--R          2coth(2a x)
+--R   (2)  - -----------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 47     14:598 Axiom cannot simplify this expression
+--R
+--R   (3)
+--R                           4                                3
+--R       2coth(2a x)sinh(a x)  + 8cosh(a x)coth(2a x)sinh(a x)
+--R     + 
+--R                  2                   2             3
+--R       12cosh(a x) coth(2a x)sinh(a x)  + 8cosh(a x) coth(2a x)sinh(a x)
+--R     + 
+--R                  4
+--R       (2cosh(a x)  - 2)coth(2a x) - 4
+--R  /
+--R                  4                        3               2         2
+--R       a sinh(a x)  + 4a cosh(a x)sinh(a x)  + 6a cosh(a x) sinh(a x)
+--R     + 
+--R                   3                       4
+--R       4a cosh(a x) sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.599~~~~~$\displaystyle
@@ -216,7 +755,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 14
+--S 48
 aa:=integrate(sinh(a*x)^2/cosh(a*x),x)
 --R 
 --R
@@ -230,6 +769,28 @@ aa:=integrate(sinh(a*x)^2/cosh(a*x),x)
 --R     2a sinh(a x) + 2a cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 49
+bb:=sinh(a*x)/a-1/a*atan(sinh(a*x))
+--R
+--R        - atan(sinh(a x)) + sinh(a x)
+--R   (2)  -----------------------------
+--R                      a
+--R                                                     Type: Expression Integer
+--E
+
+--S 50     14:599 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       (- 4sinh(a x) - 4cosh(a x))atan(sinh(a x) + cosh(a x))
+--R     + 
+--R                                                           2            2
+--R       (2sinh(a x) + 2cosh(a x))atan(sinh(a x)) - sinh(a x)  + cosh(a x)  - 1
+--R  /
+--R     2a sinh(a x) + 2a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.600~~~~~$\displaystyle
@@ -240,7 +801,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 14
+--S 51
 aa:=integrate(cosh(a*x)^2/sinh(a*x),x)
 --R 
 --R
@@ -256,6 +817,37 @@ aa:=integrate(cosh(a*x)^2/sinh(a*x),x)
 --R     2a sinh(a x) + 2a cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 52
+bb:=cosh(a*x)/a+1/a*log(tanh((a*x)/2))
+--R
+--R                 a x
+--R        log(tanh(---)) + cosh(a x)
+--R                  2
+--R   (2)  --------------------------
+--R                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 53     14:600 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                                           a x
+--R       (- 2sinh(a x) - 2cosh(a x))log(tanh(---))
+--R                                            2
+--R     + 
+--R       (- 2sinh(a x) - 2cosh(a x))log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                                                          2
+--R       (2sinh(a x) + 2cosh(a x))log(sinh(a x) + cosh(a x) - 1) + sinh(a x)
+--R     + 
+--R                  2
+--R       - cosh(a x)  + 1
+--R  /
+--R     2a sinh(a x) + 2a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.601~~~~~$\displaystyle
@@ -267,7 +859,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 14
+--S 54
 aa:=integrate(1/(cosh(a*x)*(1+sinh(a*x))),x)
 --R 
 --R
@@ -281,6 +873,87 @@ aa:=integrate(1/(cosh(a*x)*(1+sinh(a*x))),x)
 --R     2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 55
+bb:=1/(2*a)*log((1+sinh(a*x))/cosh(a*x))+1/a*atan(%e^(a*x))
+--R
+--R            sinh(a x) + 1            a x
+--R        log(-------------) + 2atan(%e   )
+--R              cosh(a x)
+--R   (2)  ---------------------------------
+--R                        2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 56
+cc:=aa-bb
+--R
+--R   (3)
+--R             sinh(a x) + 1                2cosh(a x)
+--R       - log(-------------) - log(- ---------------------)
+--R               cosh(a x)            sinh(a x) - cosh(a x)
+--R     + 
+--R              - 2sinh(a x) - 2                                             a x
+--R       log(---------------------) + 2atan(sinh(a x) + cosh(a x)) - 2atan(%e   )
+--R           sinh(a x) - cosh(a x)
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57
+dd:=expandLog cc
+--R
+--R                                             a x
+--R        atan(sinh(a x) + cosh(a x)) - atan(%e   )
+--R   (4)  -----------------------------------------
+--R                            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 58
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (5)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 59
+ee:=atanrule dd
+--R
+--R                   a x
+--R               - %e    + %i           - sinh(a x) - cosh(a x) + %i
+--R        %i log(------------) - %i log(----------------------------)
+--R                  a x                  sinh(a x) + cosh(a x) + %i
+--R                %e    + %i
+--R   (6)  -----------------------------------------------------------
+--R                                     2a
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 60
+ff:=expandLog ee
+--R
+--R   (7)
+--R       %i log(sinh(a x) + cosh(a x) + %i) - %i log(sinh(a x) + cosh(a x) - %i)
+--R     + 
+--R                  a x                  a x
+--R       - %i log(%e    + %i) + %i log(%e    - %i)
+--R  /
+--R     2a
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 61     14:601 Schaums and Axiom agree
+gg:=complexNormalize ff
+--R
+--R   (8)  0
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.602~~~~~$\displaystyle
@@ -291,7 +964,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 14
+--S 62
 aa:=integrate(1/(sinh(a*x)*(cosh(a*x)+1)),x)
 --R 
 --R
@@ -316,6 +989,204 @@ aa:=integrate(1/(sinh(a*x)*(cosh(a*x)+1)),x)
 --R       4a cosh(a x) + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 63
+bb:=1/(2*a)*log(tanh((a*x)/2))+1/(2*a*(cosh(a*x)+1))
+--R
+--R                                a x
+--R        (cosh(a x) + 1)log(tanh(---)) + 1
+--R                                 2
+--R   (2)  ---------------------------------
+--R                2a cosh(a x) + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 64
+cc:=aa-bb
+--R
+--R   (3)
+--R                                     2
+--R           (- cosh(a x) - 1)sinh(a x)
+--R         + 
+--R                        2                                       3             2
+--R           (- 2cosh(a x)  - 4cosh(a x) - 2)sinh(a x) - cosh(a x)  - 3cosh(a x)
+--R         + 
+--R           - 3cosh(a x) - 1
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                                     2
+--R           (- cosh(a x) - 1)sinh(a x)
+--R         + 
+--R                        2                                       3             2
+--R           (- 2cosh(a x)  - 4cosh(a x) - 2)sinh(a x) - cosh(a x)  - 3cosh(a x)
+--R         + 
+--R           - 3cosh(a x) - 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                   2              2
+--R           (cosh(a x) + 1)sinh(a x)  + (2cosh(a x)  + 4cosh(a x) + 2)sinh(a x)
+--R         + 
+--R                    3             2
+--R           cosh(a x)  + 3cosh(a x)  + 3cosh(a x) + 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                  2            2
+--R       - sinh(a x)  + cosh(a x)  - 1
+--R  /
+--R                                   2
+--R       (2a cosh(a x) + 2a)sinh(a x)
+--R     + 
+--R                    2                                             3
+--R       (4a cosh(a x)  + 8a cosh(a x) + 4a)sinh(a x) + 2a cosh(a x)
+--R     + 
+--R                   2
+--R       6a cosh(a x)  + 6a cosh(a x) + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 65
+coshcuberule:=rule(cosh(x)^3 == 1/4*cosh(3*x)-3/4*cosh(x))
+--R
+--R               3    cosh(3x) - 3cosh(x)
+--R   (4)  cosh(x)  == -------------------
+--R                             4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 66
+dd:=coshcuberule cc
+--R
+--R   (5)
+--R                                      2
+--R           (- 4cosh(a x) - 4)sinh(a x)
+--R         + 
+--R                        2
+--R           (- 8cosh(a x)  - 16cosh(a x) - 8)sinh(a x) - cosh(3a x)
+--R         + 
+--R                        2
+--R           - 12cosh(a x)  - 9cosh(a x) - 4
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                                      2
+--R           (- 4cosh(a x) - 4)sinh(a x)
+--R         + 
+--R                        2
+--R           (- 8cosh(a x)  - 16cosh(a x) - 8)sinh(a x) - cosh(3a x)
+--R         + 
+--R                        2
+--R           - 12cosh(a x)  - 9cosh(a x) - 4
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                    2              2
+--R           (4cosh(a x) + 4)sinh(a x)  + (8cosh(a x)  + 16cosh(a x) + 8)sinh(a x)
+--R         + 
+--R                                   2
+--R           cosh(3a x) + 12cosh(a x)  + 9cosh(a x) + 4
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                   2             2
+--R       - 4sinh(a x)  + 4cosh(a x)  - 4
+--R  /
+--R                                   2
+--R       (8a cosh(a x) + 8a)sinh(a x)
+--R     + 
+--R                     2
+--R       (16a cosh(a x)  + 32a cosh(a x) + 16a)sinh(a x) + 2a cosh(3a x)
+--R     + 
+--R                    2
+--R       24a cosh(a x)  + 18a cosh(a x) + 8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 67
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (6)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 68
+ee:=sinhsqrrule dd
+--R
+--R   (7)
+--R                        2
+--R           (- 8cosh(a x)  - 16cosh(a x) - 8)sinh(a x) - cosh(3a x)
+--R         + 
+--R                                                     2
+--R           (- 2cosh(a x) - 2)cosh(2a x) - 12cosh(a x)  - 7cosh(a x) - 2
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                        2
+--R           (- 8cosh(a x)  - 16cosh(a x) - 8)sinh(a x) - cosh(3a x)
+--R         + 
+--R                                                     2
+--R           (- 2cosh(a x) - 2)cosh(2a x) - 12cosh(a x)  - 7cosh(a x) - 2
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                      2
+--R           (8cosh(a x)  + 16cosh(a x) + 8)sinh(a x) + cosh(3a x)
+--R         + 
+--R                                                   2
+--R           (2cosh(a x) + 2)cosh(2a x) + 12cosh(a x)  + 7cosh(a x) + 2
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                                 2
+--R       - 2cosh(2a x) + 4cosh(a x)  - 2
+--R  /
+--R                     2
+--R       (16a cosh(a x)  + 32a cosh(a x) + 16a)sinh(a x) + 2a cosh(3a x)
+--R     + 
+--R                                                    2
+--R       (4a cosh(a x) + 4a)cosh(2a x) + 24a cosh(a x)  + 14a cosh(a x) + 4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 69
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (8)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 70
+ff:=coshsqrrule ee
+--R
+--R   (9)
+--R                  a x
+--R       - log(tanh(---)) - log(sinh(a x) + cosh(a x) + 1)
+--R                   2
+--R     + 
+--R       log(sinh(a x) + cosh(a x) - 1)
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 71     14:602 Schaums and Axiom agree
+gg:=complexNormalize ff
+--R
+--R   (10)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.603~~~~~$\displaystyle
@@ -326,7 +1197,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 14
+--S 72
 aa:=integrate(1/(sinh(a*x)*(cosh(a*x)-1)),x)
 --R 
 --R
@@ -352,6 +1223,199 @@ aa:=integrate(1/(sinh(a*x)*(cosh(a*x)-1)),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 73
+bb:=-1/(2*a)*log(tanh((a*x)/2))-1/(2*a*(cosh(a*x)-1))
+--R
+--R                                  a x
+--R        (- cosh(a x) + 1)log(tanh(---)) - 1
+--R                                   2
+--R   (2)  -----------------------------------
+--R                 2a cosh(a x) - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 74
+cc:=aa-bb
+--R
+--R   (3)
+--R                                   2              2
+--R           (cosh(a x) - 1)sinh(a x)  + (2cosh(a x)  - 4cosh(a x) + 2)sinh(a x)
+--R         + 
+--R                    3             2
+--R           cosh(a x)  - 3cosh(a x)  + 3cosh(a x) - 1
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                                   2              2
+--R           (cosh(a x) - 1)sinh(a x)  + (2cosh(a x)  - 4cosh(a x) + 2)sinh(a x)
+--R         + 
+--R                    3             2
+--R           cosh(a x)  - 3cosh(a x)  + 3cosh(a x) - 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                     2
+--R           (- cosh(a x) + 1)sinh(a x)
+--R         + 
+--R                        2                                       3             2
+--R           (- 2cosh(a x)  + 4cosh(a x) - 2)sinh(a x) - cosh(a x)  + 3cosh(a x)
+--R         + 
+--R           - 3cosh(a x) + 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                2            2
+--R       sinh(a x)  - cosh(a x)  + 1
+--R  /
+--R                                   2
+--R       (2a cosh(a x) - 2a)sinh(a x)
+--R     + 
+--R                    2                                             3
+--R       (4a cosh(a x)  - 8a cosh(a x) + 4a)sinh(a x) + 2a cosh(a x)
+--R     + 
+--R                     2
+--R       - 6a cosh(a x)  + 6a cosh(a x) - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 75
+coshcuberule:=rule(cosh(x)^3 == 1/4*cosh(3*x)-3/4*cosh(x))
+--R
+--R               3    cosh(3x) - 3cosh(x)
+--R   (4)  cosh(x)  == -------------------
+--R                             4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 76
+dd:=coshcuberule cc
+--R
+--R   (5)
+--R                                    2              2
+--R           (4cosh(a x) - 4)sinh(a x)  + (8cosh(a x)  - 16cosh(a x) + 8)sinh(a x)
+--R         + 
+--R                                   2
+--R           cosh(3a x) - 12cosh(a x)  + 9cosh(a x) - 4
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                                    2              2
+--R           (4cosh(a x) - 4)sinh(a x)  + (8cosh(a x)  - 16cosh(a x) + 8)sinh(a x)
+--R         + 
+--R                                   2
+--R           cosh(3a x) - 12cosh(a x)  + 9cosh(a x) - 4
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                      2
+--R           (- 4cosh(a x) + 4)sinh(a x)
+--R         + 
+--R                        2
+--R           (- 8cosh(a x)  + 16cosh(a x) - 8)sinh(a x) - cosh(3a x)
+--R         + 
+--R                      2
+--R           12cosh(a x)  - 9cosh(a x) + 4
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                 2             2
+--R       4sinh(a x)  - 4cosh(a x)  + 4
+--R  /
+--R                                   2
+--R       (8a cosh(a x) - 8a)sinh(a x)
+--R     + 
+--R                     2
+--R       (16a cosh(a x)  - 32a cosh(a x) + 16a)sinh(a x) + 2a cosh(3a x)
+--R     + 
+--R                      2
+--R       - 24a cosh(a x)  + 18a cosh(a x) - 8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (6)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 78
+ee:=sinhsqrrule dd
+--R
+--R   (7)
+--R                      2
+--R           (8cosh(a x)  - 16cosh(a x) + 8)sinh(a x) + cosh(3a x)
+--R         + 
+--R                                                   2
+--R           (2cosh(a x) - 2)cosh(2a x) - 12cosh(a x)  + 7cosh(a x) - 2
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                      2
+--R           (8cosh(a x)  - 16cosh(a x) + 8)sinh(a x) + cosh(3a x)
+--R         + 
+--R                                                   2
+--R           (2cosh(a x) - 2)cosh(2a x) - 12cosh(a x)  + 7cosh(a x) - 2
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                        2
+--R           (- 8cosh(a x)  + 16cosh(a x) - 8)sinh(a x) - cosh(3a x)
+--R         + 
+--R                                                     2
+--R           (- 2cosh(a x) + 2)cosh(2a x) + 12cosh(a x)  - 7cosh(a x) + 2
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                               2
+--R       2cosh(2a x) - 4cosh(a x)  + 2
+--R  /
+--R                     2
+--R       (16a cosh(a x)  - 32a cosh(a x) + 16a)sinh(a x) + 2a cosh(3a x)
+--R     + 
+--R                                                    2
+--R       (4a cosh(a x) - 4a)cosh(2a x) - 24a cosh(a x)  + 14a cosh(a x) - 4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 79
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (8)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 80
+ff:=coshsqrrule ee
+--R
+--R   (9)
+--R                a x
+--R       log(tanh(---)) + log(sinh(a x) + cosh(a x) + 1)
+--R                 2
+--R     + 
+--R       - log(sinh(a x) + cosh(a x) - 1)
+--R  /
+--R     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 81     14:603 Schaums and Axiom agree
+gg:=complexNormalize ff
+--R
+--R   (10)  0
+--R                                                     Type: Expression Integer
+--E
+
 )spool
 )lisp (bye)
 @
diff --git a/src/input/schaum30.input.pamphlet b/src/input/schaum30.input.pamphlet
index 0e1aaf4..5df48bc 100644
--- a/src/input/schaum30.input.pamphlet
+++ b/src/input/schaum30.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 11
+--S 1
 aa:=integrate(tanh(a*x),x)
 --R 
 --R
@@ -29,6 +29,44 @@ aa:=integrate(tanh(a*x),x)
 --R                         a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/a*log(cosh(a*x))
+--R
+--R        log(cosh(a x))
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                                       2cosh(a x)
+--R        - log(cosh(a x)) + log(- ---------------------) - a x
+--R                                 sinh(a x) - cosh(a x)
+--R   (3)  -----------------------------------------------------
+--R                                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+dd:=expandLog cc
+--R
+--R        - log(sinh(a x) - cosh(a x)) + log(- 2) - a x
+--R   (4)  ---------------------------------------------
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5      14:604 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        - log(- 1) + log(- 2)
+--R   (5)  ---------------------
+--R                  a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.605~~~~~$\displaystyle
@@ -39,7 +77,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 11
+--S 6
 aa:=integrate(tanh(a*x)^2,x)
 --R 
 --R
@@ -48,6 +86,42 @@ aa:=integrate(tanh(a*x)^2,x)
 --R                   a cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 7
+bb:=x-tanh(a*x)/a
+--R
+--R        - tanh(a x) + a x
+--R   (2)  -----------------
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 8
+cc:=aa-bb
+--R
+--R        cosh(a x)tanh(a x) - sinh(a x) + cosh(a x)
+--R   (3)  ------------------------------------------
+--R                        a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 9
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (4)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 10     14:605 Schaums and Axiom differ by a constant
+dd:=tanhrule cc
+--R
+--R        1
+--R   (5)  -
+--R        a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.606~~~~~$\displaystyle
@@ -58,7 +132,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 11
+--S 11
 aa:=integrate(tanh(a*x)^3,x)
 --R 
 --R
@@ -92,6 +166,69 @@ aa:=integrate(tanh(a*x)^3,x)
 --R     (4a cosh(a x)  + 4a cosh(a x))sinh(a x) + a cosh(a x)  + 2a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 12
+bb:=1/a*log(cosh(a*x))-tanh(a*x)^2/(2*a)
+--R
+--R                                   2
+--R        2log(cosh(a x)) - tanh(a x)
+--R   (2)  ----------------------------
+--R                     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 13     14:606 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                       4                      3                 2              2
+--R           - 2sinh(a x)  - 8cosh(a x)sinh(a x)  + (- 12cosh(a x)  - 4)sinh(a x)
+--R         + 
+--R                      3                                    4             2
+--R         (- 8cosh(a x)  - 8cosh(a x))sinh(a x) - 2cosh(a x)  - 4cosh(a x)  - 2
+--R      *
+--R         log(cosh(a x))
+--R     + 
+--R                     4                      3               2              2
+--R           2sinh(a x)  + 8cosh(a x)sinh(a x)  + (12cosh(a x)  + 4)sinh(a x)
+--R         + 
+--R                      3                                    4             2
+--R           (8cosh(a x)  + 8cosh(a x))sinh(a x) + 2cosh(a x)  + 4cosh(a x)  + 2
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  + 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  + 4cosh(a x))sinh(a x) + cosh(a x)  + 2cosh(a x)  + 1
+--R      *
+--R                  2
+--R         tanh(a x)
+--R     + 
+--R                       4                          3
+--R       - 2a x sinh(a x)  - 8a x cosh(a x)sinh(a x)
+--R     + 
+--R                         2                     2
+--R       (- 12a x cosh(a x)  - 4a x + 4)sinh(a x)
+--R     + 
+--R                        3                                                   4
+--R       (- 8a x cosh(a x)  + (- 8a x + 8)cosh(a x))sinh(a x) - 2a x cosh(a x)
+--R     + 
+--R                            2
+--R       (- 4a x + 4)cosh(a x)  - 2a x
+--R  /
+--R                   4                        3                 2               2
+--R       2a sinh(a x)  + 8a cosh(a x)sinh(a x)  + (12a cosh(a x)  + 4a)sinh(a x)
+--R     + 
+--R                    3                                        4               2
+--R       (8a cosh(a x)  + 8a cosh(a x))sinh(a x) + 2a cosh(a x)  + 4a cosh(a x)
+--R     + 
+--R       2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.607~~~~~$\displaystyle
@@ -102,7 +239,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 11
+--S 14
 aa:=integrate(tanh(a*x)^n*sech(a*x)^2,x)
 --R 
 --R
@@ -113,6 +250,31 @@ aa:=integrate(tanh(a*x)^n*sech(a*x)^2,x)
 --R                                (a n + a)cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 15
+bb:=tanh(a*x)^(n+1)/((n+1)*a)
+--R
+--R                 n + 1
+--R        tanh(a x)
+--R   (2)  --------------
+--R            a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 16     14:607 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                           sinh(a x)                         sinh(a x)
+--R       sinh(a x)sinh(n log(---------)) + sinh(a x)cosh(n log(---------))
+--R                           cosh(a x)                         cosh(a x)
+--R     + 
+--R                           n + 1
+--R       - cosh(a x)tanh(a x)
+--R  /
+--R     (a n + a)cosh(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.608~~~~~$\displaystyle
@@ -123,7 +285,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 11
+--S 17
 aa:=integrate(sech(a*x)^2/tanh(a*x),x)
 --R 
 --R
@@ -134,6 +296,63 @@ aa:=integrate(sech(a*x)^2/tanh(a*x),x)
 --R                                      a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 18
+bb:=1/a*log(tanh(a*x))
+--R
+--R        log(tanh(a x))
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+cc:=aa-bb
+--R
+--R   (3)
+--R                                      2cosh(a x)
+--R       - log(tanh(a x)) - log(- ---------------------)
+--R                                sinh(a x) - cosh(a x)
+--R     + 
+--R                   2sinh(a x)
+--R       log(- ---------------------)
+--R             sinh(a x) - cosh(a x)
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 20
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (4)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 21
+dd:=tanhrule cc
+--R
+--R   (5)
+--R             sinh(a x)                2cosh(a x)
+--R       - log(---------) - log(- ---------------------)
+--R             cosh(a x)          sinh(a x) - cosh(a x)
+--R     + 
+--R                   2sinh(a x)
+--R       log(- ---------------------)
+--R             sinh(a x) - cosh(a x)
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22     14:608 Schaums and Axiom agree
+ee:=expandLog dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.609~~~~~$\displaystyle
@@ -144,7 +363,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 11
+--S 23
 aa:=integrate(1/tanh(a*x),x)
 --R 
 --R
@@ -155,6 +374,44 @@ aa:=integrate(1/tanh(a*x),x)
 --R                         a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 24
+bb:=1/a*log(sinh(a*x))
+--R
+--R        log(sinh(a x))
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+cc:=aa-bb
+--R
+--R                                       2sinh(a x)
+--R        - log(sinh(a x)) + log(- ---------------------) - a x
+--R                                 sinh(a x) - cosh(a x)
+--R   (3)  -----------------------------------------------------
+--R                                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+dd:=expandLog cc
+--R
+--R        - log(sinh(a x) - cosh(a x)) + log(- 2) - a x
+--R   (4)  ---------------------------------------------
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27     14:609 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        - log(- 1) + log(- 2)
+--R   (5)  ---------------------
+--R                  a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.610~~~~~$\displaystyle
@@ -167,7 +424,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 11
+--S 28     14:610 Axiom cannot compute this integral
 aa:=integrate(x*tanh(a*x),x)
 --R 
 --R
@@ -187,7 +444,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 11
+--S 29
 aa:=integrate(x*tanh(a*x)^2,x)
 --R 
 --R
@@ -209,6 +466,159 @@ aa:=integrate(x*tanh(a*x)^2,x)
 --R     2a sinh(a x)  + 4a cosh(a x)sinh(a x) + 2a cosh(a x)  + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 30
+bb:=x^2/2-(x*tanh(a*x))/a+1/a^2*log(cosh(a*x))
+--R
+--R                                            2 2
+--R        2log(cosh(a x)) - 2a x tanh(a x) + a x
+--R   (2)  ---------------------------------------
+--R                            2
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+cc:=aa-bb
+--R
+--R   (3)
+--R                   2                                  2
+--R       (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)log(cosh(a x))
+--R     + 
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                       2                                          2
+--R         (a x sinh(a x)  + 2a x cosh(a x)sinh(a x) + a x cosh(a x)  + a x)
+--R      *
+--R         tanh(a x)
+--R     + 
+--R                       2                                           2
+--R       - 2a x sinh(a x)  - 4a x cosh(a x)sinh(a x) - 2a x cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 33
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R                                                       2
+--R       (- 4cosh(a x)sinh(a x) - cosh(2a x) - 2cosh(a x)  - 1)log(cosh(a x))
+--R     + 
+--R                                                       2
+--R         (4cosh(a x)sinh(a x) + cosh(2a x) + 2cosh(a x)  + 1)
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                                                                   2
+--R         (4a x cosh(a x)sinh(a x) + a x cosh(2a x) + 2a x cosh(a x)  + a x)
+--R      *
+--R         tanh(a x)
+--R     + 
+--R                                                                   2
+--R       - 8a x cosh(a x)sinh(a x) - 2a x cosh(2a x) - 4a x cosh(a x)  + 2a x
+--R  /
+--R       2                      2               2         2    2
+--R     4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 35
+ee:=coshsqrrule dd
+--R
+--R   (7)
+--R       (- 2cosh(a x)sinh(a x) - cosh(2a x) - 1)log(cosh(a x))
+--R     + 
+--R                                                         2cosh(a x)
+--R       (2cosh(a x)sinh(a x) + cosh(2a x) + 1)log(- ---------------------)
+--R                                                   sinh(a x) - cosh(a x)
+--R     + 
+--R       (2a x cosh(a x)sinh(a x) + a x cosh(2a x) + a x)tanh(a x)
+--R     + 
+--R       - 4a x cosh(a x)sinh(a x) - 2a x cosh(2a x)
+--R  /
+--R       2                      2              2
+--R     2a cosh(a x)sinh(a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+ff:=expandLog ee
+--R
+--R   (8)
+--R       (- 2cosh(a x)sinh(a x) - cosh(2a x) - 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (2a x cosh(a x)sinh(a x) + a x cosh(2a x) + a x)tanh(a x)
+--R     + 
+--R       (2log(- 2) - 4a x)cosh(a x)sinh(a x) + (log(- 2) - 2a x)cosh(2a x)
+--R     + 
+--R       log(- 2)
+--R  /
+--R       2                      2              2
+--R     2a cosh(a x)sinh(a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %N sinh(y + x) - %N sinh(y - x)
+--I   (9)  %N cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 38
+gg:=sinhcoshrule ff
+--R
+--R   (10)
+--R       (- sinh(2a x) - cosh(2a x) - 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (a x sinh(2a x) + a x cosh(2a x) + a x)tanh(a x)
+--R     + 
+--R       (log(- 2) - 2a x)sinh(2a x) + (log(- 2) - 2a x)cosh(2a x) + log(- 2)
+--R  /
+--R      2              2              2
+--R     a sinh(2a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 39     14:611 Schaums and Axiom differ by a constant
+hh:=complexNormalize gg
+--R
+--R         - log(- 1) + log(- 2)
+--R   (11)  ---------------------
+--R                    2
+--R                   a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.612~~~~~$\displaystyle
@@ -220,7 +630,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 11
+--S 40     14:612 Axiom cannot compute this integral
 aa:=integrate(tanh(a*x)/x,x)
 --R 
 --R
@@ -240,7 +650,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 11
+--S 41
 aa:=integrate(1/(p+q*tanh(a*x)),x)
 --R 
 --R
@@ -252,6 +662,54 @@ aa:=integrate(1/(p+q*tanh(a*x)),x)
 --R                             a q  - a p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 42
+bb:=(p*x)/(p^2-q^2)-q/(a*(p^2-q^2))*log(q*sinh(a*x)+p*cosh(a*x))
+--R
+--R        q log(q sinh(a x) + p cosh(a x)) - a p x
+--R   (2)  ----------------------------------------
+--R                          2      2
+--R                       a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+cc:=aa-bb
+--R
+--R   (3)
+--R                                                  - 2q sinh(a x) - 2p cosh(a x)
+--R       - q log(q sinh(a x) + p cosh(a x)) + q log(-----------------------------)
+--R                                                      sinh(a x) - cosh(a x)
+--R     + 
+--R       - a q x
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 44
+dd:=expandLog cc
+--R
+--R   (4)
+--R       - q log(q sinh(a x) + p cosh(a x)) - q log(sinh(a x) - cosh(a x))
+--R     + 
+--R       q log(- q sinh(a x) - p cosh(a x)) + q log(2) - a q x
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 45     14:613 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        q log(2) - 2q log(- 1)
+--R   (5)  ----------------------
+--R                 2      2
+--R              a q  - a p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.614~~~~~$\displaystyle
@@ -262,7 +720,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 11
+--S 46     14:614 Axiom cannot compute this integral
 aa:=integrate(tanh(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum31.input.pamphlet b/src/input/schaum31.input.pamphlet
index 3e81bf2..343aa2a 100644
--- a/src/input/schaum31.input.pamphlet
+++ b/src/input/schaum31.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 11
+--S 1
 aa:=integrate(coth(a*x),x)
 --R 
 --R
@@ -29,6 +29,44 @@ aa:=integrate(coth(a*x),x)
 --R                         a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/a*log(sinh(a*x))
+--R
+--R        log(sinh(a x))
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                                       2sinh(a x)
+--R        - log(sinh(a x)) + log(- ---------------------) - a x
+--R                                 sinh(a x) - cosh(a x)
+--R   (3)  -----------------------------------------------------
+--R                                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+dd:=expandLog cc
+--R
+--R        - log(sinh(a x) - cosh(a x)) + log(- 2) - a x
+--R   (4)  ---------------------------------------------
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 5      14:615 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        - log(- 1) + log(- 2)
+--R   (5)  ---------------------
+--R                  a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.616~~~~~$\displaystyle
@@ -39,7 +77,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 11
+--S 6
 aa:=integrate(coth(a*x)^2,x)
 --R 
 --R
@@ -48,6 +86,33 @@ aa:=integrate(coth(a*x)^2,x)
 --R                  a sinh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 7
+bb:=x-coth(a*x)/a
+--R
+--R        - coth(a x) + a x
+--R   (2)  -----------------
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 8
+cc:=aa-bb
+--R
+--R        (coth(a x) + 1)sinh(a x) - cosh(a x)
+--R   (3)  ------------------------------------
+--R                     a sinh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:616 Schaums and Axiom differ by a constant
+dd:=complexNormalize cc
+--R
+--R        1
+--R   (4)  -
+--R        a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.617~~~~~$\displaystyle
@@ -58,7 +123,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 11
+--S 10
 aa:=integrate(coth(a*x)^3,x)
 --R 
 --R
@@ -92,6 +157,69 @@ aa:=integrate(coth(a*x)^3,x)
 --R     (4a cosh(a x)  - 4a cosh(a x))sinh(a x) + a cosh(a x)  - 2a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 11
+bb:=1/a*log(sinh(a*x)-coth(a*x)^2)/(2*a)
+--R
+--R                                 2
+--R        log(sinh(a x) - coth(a x) )
+--R   (2)  ---------------------------
+--R                      2
+--R                    2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:617 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                      4                      3                2              2
+--R           - sinh(a x)  - 4cosh(a x)sinh(a x)  + (- 6cosh(a x)  + 2)sinh(a x)
+--R         + 
+--R                        3                                   4             2
+--R           (- 4cosh(a x)  + 4cosh(a x))sinh(a x) - cosh(a x)  + 2cosh(a x)  - 1
+--R      *
+--R                                  2
+--R         log(sinh(a x) - coth(a x) )
+--R     + 
+--R                       4                        3
+--R           2a sinh(a x)  + 8a cosh(a x)sinh(a x)
+--R         + 
+--R                         2               2
+--R           (12a cosh(a x)  - 4a)sinh(a x)
+--R         + 
+--R                        3                                        4
+--R           (8a cosh(a x)  - 8a cosh(a x))sinh(a x) + 2a cosh(a x)
+--R         + 
+--R                         2
+--R           - 4a cosh(a x)  + 2a
+--R      *
+--R                     2sinh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R           2           4     2                    3
+--R       - 2a x sinh(a x)  - 8a x cosh(a x)sinh(a x)
+--R     + 
+--R             2           2     2                2
+--R       (- 12a x cosh(a x)  + 4a x - 4a)sinh(a x)
+--R     + 
+--R            2           3      2                               2           4
+--R       (- 8a x cosh(a x)  + (8a x - 8a)cosh(a x))sinh(a x) - 2a x cosh(a x)
+--R     + 
+--R          2                2     2
+--R       (4a x - 4a)cosh(a x)  - 2a x
+--R  /
+--R         2         4     2                  3       2         2     2          2
+--R       2a sinh(a x)  + 8a cosh(a x)sinh(a x)  + (12a cosh(a x)  - 4a )sinh(a x)
+--R     + 
+--R          2         3     2                        2         4     2         2
+--R       (8a cosh(a x)  - 8a cosh(a x))sinh(a x) + 2a cosh(a x)  - 4a cosh(a x)
+--R     + 
+--R         2
+--R       2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.618~~~~~$\displaystyle
@@ -102,7 +230,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 11
+--S 13
 aa:=integrate(coth(a*x)^n*csch(a*x)^2,x)
 --R 
 --R
@@ -113,6 +241,53 @@ aa:=integrate(coth(a*x)^n*csch(a*x)^2,x)
 --R                                 (a n + a)sinh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 14
+bb:=-coth(a*x)^(n+1)/((n+1)*a)
+--R
+--R                   n + 1
+--R          coth(a x)
+--R   (2)  - --------------
+--R              a n + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+cc:=aa-bb
+--R
+--R   (3)
+--R                             cosh(a x)                         cosh(a x)
+--R       - cosh(a x)sinh(n log(---------)) - cosh(a x)cosh(n log(---------))
+--R                             sinh(a x)                         sinh(a x)
+--R     + 
+--R                         n + 1
+--R       sinh(a x)coth(a x)
+--R  /
+--R     (a n + a)sinh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 16
+dd:=expandLog cc
+--R
+--R   (4)
+--R       cosh(a x)sinh(n log(sinh(a x)) - n log(cosh(a x)))
+--R     + 
+--R       - cosh(a x)cosh(n log(sinh(a x)) - n log(cosh(a x)))
+--R     + 
+--R                         n + 1
+--R       sinh(a x)coth(a x)
+--R  /
+--R     (a n + a)sinh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 17     14:618 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.619~~~~~$\displaystyle
@@ -123,7 +298,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 11
+--S 18
 aa:=integrate(csch(a*x)^2/coth(a*x),x)
 --R 
 --R
@@ -134,6 +309,43 @@ aa:=integrate(csch(a*x)^2/coth(a*x),x)
 --R                                      a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 19
+bb:=-1/a*log(coth(a*x))
+--R
+--R          log(coth(a x))
+--R   (2)  - --------------
+--R                 a
+--R                                                     Type: Expression Integer
+--E
+
+--S 20
+cc:=aa-bb
+--R
+--R   (3)
+--R                                2cosh(a x)                     2sinh(a x)
+--R   log(coth(a x)) - log(- ---------------------) + log(- ---------------------)
+--R                          sinh(a x) - cosh(a x)          sinh(a x) - cosh(a x)
+--R   ----------------------------------------------------------------------------
+--R                                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 21
+dd:=expandLog cc
+--R
+--R        log(sinh(a x)) + log(coth(a x)) - log(cosh(a x))
+--R   (4)  ------------------------------------------------
+--R                                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22     14:619 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.620~~~~~$\displaystyle
@@ -144,7 +356,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 11
+--S 23
 aa:=integrate(1/coth(a*x),x)
 --R 
 --R
@@ -155,6 +367,44 @@ aa:=integrate(1/coth(a*x),x)
 --R                         a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 24
+bb:=1/a*log(cosh(a*x))
+--R
+--R        log(cosh(a x))
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+cc:=aa-bb
+--R
+--R                                       2cosh(a x)
+--R        - log(cosh(a x)) + log(- ---------------------) - a x
+--R                                 sinh(a x) - cosh(a x)
+--R   (3)  -----------------------------------------------------
+--R                                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+dd:=expandLog cc
+--R
+--R        - log(sinh(a x) - cosh(a x)) + log(- 2) - a x
+--R   (4)  ---------------------------------------------
+--R                              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27     14:620 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        - log(- 1) + log(- 2)
+--R   (5)  ---------------------
+--R                  a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.621~~~~~$\displaystyle
@@ -167,7 +417,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 11
+--S 28     14:621 Axiom cannot compute this integral
 aa:=integrate(x*coth(a*x),x)
 --R 
 --R
@@ -187,7 +437,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 11
+--S 29
 aa:=integrate(x*coth(a*x)^2,x)
 --R 
 --R
@@ -209,6 +459,157 @@ aa:=integrate(x*coth(a*x)^2,x)
 --R     2a sinh(a x)  + 4a cosh(a x)sinh(a x) + 2a cosh(a x)  - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 30
+bb:=x^2/2-(x*coth(a*x)/a)+1/a^2*log(sinh(a*x))
+--R
+--R                                            2 2
+--R        2log(sinh(a x)) - 2a x coth(a x) + a x
+--R   (2)  ---------------------------------------
+--R                            2
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+cc:=aa-bb
+--R
+--R   (3)
+--R                   2                                  2
+--R       (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  + 1)log(sinh(a x))
+--R     + 
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1)
+--R      *
+--R                     2sinh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                                      2
+--R       (a x coth(a x) - 2a x)sinh(a x)
+--R     + 
+--R       (2a x cosh(a x)coth(a x) - 4a x cosh(a x))sinh(a x)
+--R     + 
+--R                     2                                 2
+--R       (a x cosh(a x)  - a x)coth(a x) - 2a x cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+dd:=expandLog cc
+--R
+--R   (4)
+--R                     2                                  2
+--R         (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  + 1)
+--R      *
+--R         log(sinh(a x) - cosh(a x))
+--R     + 
+--R                                                 2
+--R       (a x coth(a x) + log(- 2) - 2a x)sinh(a x)
+--R     + 
+--R       (2a x cosh(a x)coth(a x) + (2log(- 2) - 4a x)cosh(a x))sinh(a x)
+--R     + 
+--R                     2                                             2
+--R       (a x cosh(a x)  - a x)coth(a x) + (log(- 2) - 2a x)cosh(a x)  - log(- 2)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (5)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 34
+ee:=sinhsqrrule dd
+--R
+--R   (6)
+--R                                                         2
+--R         (- 4cosh(a x)sinh(a x) - cosh(2a x) - 2cosh(a x)  + 3)
+--R      *
+--R         log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (4a x cosh(a x)coth(a x) + (4log(- 2) - 8a x)cosh(a x))sinh(a x)
+--R     + 
+--R                                       2
+--R       (a x cosh(2a x) + 2a x cosh(a x)  - 3a x)coth(a x)
+--R     + 
+--R                                                                2
+--R       (log(- 2) - 2a x)cosh(2a x) + (2log(- 2) - 4a x)cosh(a x)  - 3log(- 2)
+--R     + 
+--R       2a x
+--R  /
+--R       2                      2               2         2     2
+--R     4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  - 3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 35
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (7)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 36
+ff:=coshsqrrule ee
+--R
+--R   (8)
+--R       (- 2cosh(a x)sinh(a x) - cosh(2a x) + 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (2a x cosh(a x)coth(a x) + (2log(- 2) - 4a x)cosh(a x))sinh(a x)
+--R     + 
+--R       (a x cosh(2a x) - a x)coth(a x) + (log(- 2) - 2a x)cosh(2a x) - log(- 2)
+--R  /
+--R       2                      2              2
+--R     2a cosh(a x)sinh(a x) + a cosh(2a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %L sinh(y + x) - %L sinh(y - x)
+--I   (9)  %L cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 38
+gg:=sinhcoshrule ff
+--R
+--R   (10)
+--R       (- sinh(2a x) - cosh(2a x) + 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (a x coth(a x) + log(- 2) - 2a x)sinh(2a x)
+--R     + 
+--R       (a x cosh(2a x) - a x)coth(a x) + (log(- 2) - 2a x)cosh(2a x) - log(- 2)
+--R  /
+--R      2              2              2
+--R     a sinh(2a x) + a cosh(2a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 39     14:622 Schaums and Axiom differ by a constant
+hh:=complexNormalize gg
+--R
+--R         - log(- 1) + log(- 2)
+--R   (11)  ---------------------
+--R                    2
+--R                   a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.623~~~~~$\displaystyle
@@ -220,7 +621,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 11
+--S 40     14:623 Axiom cannot compute this integral
 aa:=integrate(coth(a*x)/x,x)
 --R 
 --R
@@ -240,7 +641,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 11
+--S 41
 aa:=integrate(1/(p+q*coth(a*x)),x)
 --R 
 --R
@@ -252,6 +653,54 @@ aa:=integrate(1/(p+q*coth(a*x)),x)
 --R                             a q  - a p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 42
+bb:=(p*x)/(p^2-q^2)-q/(a*(p^2-q^2))*log(p*sinh(a*x)+q*cosh(a*x))
+--R
+--R        q log(p sinh(a x) + q cosh(a x)) - a p x
+--R   (2)  ----------------------------------------
+--R                          2      2
+--R                       a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+cc:=aa-bb
+--R
+--R   (3)
+--R                                                  - 2p sinh(a x) - 2q cosh(a x)
+--R       - q log(p sinh(a x) + q cosh(a x)) + q log(-----------------------------)
+--R                                                      sinh(a x) - cosh(a x)
+--R     + 
+--R       - a q x
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 44
+dd:=expandLog cc
+--R
+--R   (4)
+--R       - q log(p sinh(a x) + q cosh(a x)) - q log(sinh(a x) - cosh(a x))
+--R     + 
+--R       q log(- p sinh(a x) - q cosh(a x)) + q log(2) - a q x
+--R  /
+--R        2      2
+--R     a q  - a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 45     14:624 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        q log(2) - 2q log(- 1)
+--R   (5)  ----------------------
+--R                 2      2
+--R              a q  - a p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.625~~~~~$\displaystyle
@@ -262,7 +711,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 11
+--S 46     14:625 Axiom cannot compute this integral
 aa:=integrate(coth(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum32.input.pamphlet b/src/input/schaum32.input.pamphlet
index 085ddf0..e5b2409 100644
--- a/src/input/schaum32.input.pamphlet
+++ b/src/input/schaum32.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 10
+--S 1
 aa:=integrate(sech(a*x),x)
 --R 
 --R
@@ -27,6 +27,70 @@ aa:=integrate(sech(a*x),x)
 --R                      a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=2/a*atan(%e^(a*x))
+--R
+--R                a x
+--R        2atan(%e   )
+--R   (2)  ------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                                               a x
+--R        2atan(sinh(a x) + cosh(a x)) - 2atan(%e   )
+--R   (3)  -------------------------------------------
+--R                             a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                            - x + %i
+--R                     %i log(--------)
+--R                             x + %i
+--R   (4)  atan(x) == - ----------------
+--R                             2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 5
+dd:=atanrule cc
+--R
+--R                   a x
+--R               - %e    + %i           - sinh(a x) - cosh(a x) + %i
+--R        %i log(------------) - %i log(----------------------------)
+--R                  a x                  sinh(a x) + cosh(a x) + %i
+--R                %e    + %i
+--R   (5)  -----------------------------------------------------------
+--R                                     a
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 6
+ee:=expandLog dd
+--R
+--R   (6)
+--R       %i log(sinh(a x) + cosh(a x) + %i) - %i log(sinh(a x) + cosh(a x) - %i)
+--R     + 
+--R                  a x                  a x
+--R       - %i log(%e    + %i) + %i log(%e    - %i)
+--R  /
+--R     a
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 7      14:626 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (7)  0
+--R                                             Type: Expression Complex Integer
+--E
 @
 
 \section{\cite{1}:14.627~~~~~$\displaystyle
@@ -37,7 +101,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 10
+--S 8
 aa:=integrate(sech(a*x)^2,x)
 --R 
 --R
@@ -47,6 +111,91 @@ aa:=integrate(sech(a*x)^2,x)
 --R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 9
+bb:=tanh(a*x)/a
+--R
+--R        tanh(a x)
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+cc:=aa-bb
+--R
+--R                    2                                  2
+--R        (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)tanh(a x) - 2
+--R   (3)  ------------------------------------------------------------------
+--R                         2                                      2
+--R              a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 12
+dd:=sinhsqrrule cc
+--R
+--R                                                        2
+--R        (- 4cosh(a x)sinh(a x) - cosh(2a x) - 2cosh(a x)  - 1)tanh(a x) - 4
+--R   (5)  -------------------------------------------------------------------
+--R                                                                 2
+--R              4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 13
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 14
+ee:=coshsqrrule dd
+--R
+--R        (- 2cosh(a x)sinh(a x) - cosh(2a x) - 1)tanh(a x) - 2
+--R   (7)  -----------------------------------------------------
+--R               2a cosh(a x)sinh(a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %L sinh(y + x) - %L sinh(y - x)
+--I   (8)  %L cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 16
+ff:=sinhcoshrule ee
+--R
+--R        (- sinh(2a x) - cosh(2a x) - 1)tanh(a x) - 2
+--R   (9)  --------------------------------------------
+--R               a sinh(2a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 17     14:627 Schaums and Axiom differ by a constant
+gg:=complexNormalize ff
+--R
+--R           1
+--R   (10)  - -
+--R           a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.628~~~~~$\displaystyle
@@ -57,7 +206,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 10
+--S 18
 aa:=integrate(sech(a*x)^3,x)
 --R 
 --R
@@ -83,6 +232,65 @@ aa:=integrate(sech(a*x)^3,x)
 --R     (4a cosh(a x)  + 4a cosh(a x))sinh(a x) + a cosh(a x)  + 2a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 19
+bb:=(sech(a*x)*tanh(a*x))/(2*a)+1/(2*a)*atan(sinh(a*x))
+--R
+--R        atan(sinh(a x)) + sech(a x)tanh(a x)
+--R   (2)  ------------------------------------
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 20     14:628 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                     4                      3               2              2
+--R           2sinh(a x)  + 8cosh(a x)sinh(a x)  + (12cosh(a x)  + 4)sinh(a x)
+--R         + 
+--R                      3                                    4             2
+--R           (8cosh(a x)  + 8cosh(a x))sinh(a x) + 2cosh(a x)  + 4cosh(a x)  + 2
+--R      *
+--R         atan(sinh(a x) + cosh(a x))
+--R     + 
+--R                      4                      3                2              2
+--R           - sinh(a x)  - 4cosh(a x)sinh(a x)  + (- 6cosh(a x)  - 2)sinh(a x)
+--R         + 
+--R                        3                                   4             2
+--R           (- 4cosh(a x)  - 4cosh(a x))sinh(a x) - cosh(a x)  - 2cosh(a x)  - 1
+--R      *
+--R         atan(sinh(a x))
+--R     + 
+--R                               4                               3
+--R           - sech(a x)sinh(a x)  - 4cosh(a x)sech(a x)sinh(a x)
+--R         + 
+--R                        2                       2
+--R           (- 6cosh(a x)  - 2)sech(a x)sinh(a x)
+--R         + 
+--R                        3
+--R           (- 4cosh(a x)  - 4cosh(a x))sech(a x)sinh(a x)
+--R         + 
+--R                       4             2
+--R           (- cosh(a x)  - 2cosh(a x)  - 1)sech(a x)
+--R      *
+--R         tanh(a x)
+--R     + 
+--R                 3                      2              2
+--R       2sinh(a x)  + 6cosh(a x)sinh(a x)  + (6cosh(a x)  - 2)sinh(a x)
+--R     + 
+--R                 3
+--R       2cosh(a x)  - 2cosh(a x)
+--R  /
+--R                   4                        3                 2               2
+--R       2a sinh(a x)  + 8a cosh(a x)sinh(a x)  + (12a cosh(a x)  + 4a)sinh(a x)
+--R     + 
+--R                    3                                        4               2
+--R       (8a cosh(a x)  + 8a cosh(a x))sinh(a x) + 2a cosh(a x)  + 4a cosh(a x)
+--R     + 
+--R       2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.629~~~~~$\displaystyle
@@ -93,7 +301,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 10
+--S 21
 aa:=integrate(sech(a*x)^n*tanh(a*x),x)
 --R 
 --R
@@ -111,6 +319,100 @@ aa:=integrate(sech(a*x)^n*tanh(a*x),x)
 --R     a n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 22
+bb:=-sech(a*x)^n/(n*a)
+--R
+--R                   n
+--R          sech(a x)
+--R   (2)  - ----------
+--R              a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 23
+cc:=aa-bb
+--R
+--R   (3)
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - sinh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R     + 
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - cosh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R     + 
+--R                n
+--R       sech(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+sechrule:=rule(sech(x) == 1/cosh(x))
+--R
+--R                      1
+--R   (4)  sech(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25
+dd:=sechrule cc
+--R
+--R   (5)
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - sinh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R     + 
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - cosh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
+--R     + 
+--R            1     n
+--R       (---------)
+--R        cosh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+ee:=expandLog dd
+--R
+--R   (6)
+--R       sinh
+--R                           2                                  2
+--R            n log(sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)
+--R          + 
+--R            - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R       -
+--R          cosh
+--R                              2                                  2
+--R               n log(sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)
+--R             + 
+--R               - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R            1     n
+--R       (---------)
+--R        cosh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 27     14:629 Schaums and Axiom agree
+ff:=complexNormalize ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.630~~~~~$\displaystyle
@@ -121,7 +423,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 10
+--S 28
 aa:=integrate(1/sech(a*x),x)
 --R 
 --R
@@ -130,6 +432,22 @@ aa:=integrate(1/sech(a*x),x)
 --R            a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 29
+bb:=sinh(a*x)/a
+--R
+--R        sinh(a x)
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30     14:630 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.631~~~~~$\displaystyle
@@ -142,7 +460,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 10
+--S 31     14:631 Axiom cannot compute this integral
 aa:=integrate(x*sech(a*x),x)
 --R 
 --R
@@ -162,7 +480,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 10
+--S 32
 aa:=integrate(x*sech(a*x)^2,x)
 --R 
 --R
@@ -181,6 +499,161 @@ aa:=integrate(x*sech(a*x)^2,x)
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 33
+bb:=(x*tanh(a*x))/a-1/a^2*log(cosh(a*x))
+--R
+--R        - log(cosh(a x)) + a x tanh(a x)
+--R   (2)  --------------------------------
+--R                        2
+--R                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+cc:=aa-bb
+--R
+--R   (3)
+--R                 2                                  2
+--R       (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)log(cosh(a x))
+--R     + 
+--R                     2                                  2
+--R         (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)
+--R      *
+--R                     2cosh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                         2                                          2
+--R         (- a x sinh(a x)  - 2a x cosh(a x)sinh(a x) - a x cosh(a x)  - a x)
+--R      *
+--R         tanh(a x)
+--R     + 
+--R                     2                                           2
+--R       2a x sinh(a x)  + 4a x cosh(a x)sinh(a x) + 2a x cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 35
+dd:=expandLog cc
+--R
+--R   (4)
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1)
+--R      *
+--R         log(sinh(a x) - cosh(a x))
+--R     + 
+--R                         2                                          2
+--R         (- a x sinh(a x)  - 2a x cosh(a x)sinh(a x) - a x cosh(a x)  - a x)
+--R      *
+--R         tanh(a x)
+--R     + 
+--R                                   2
+--R       (- log(- 2) + 2a x)sinh(a x)  + (- 2log(- 2) + 4a x)cosh(a x)sinh(a x)
+--R     + 
+--R                                   2
+--R       (- log(- 2) + 2a x)cosh(a x)  - log(- 2)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (5)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 37
+ee:=sinhsqrrule dd
+--R
+--R   (6)
+--R                                                       2
+--R         (4cosh(a x)sinh(a x) + cosh(2a x) + 2cosh(a x)  + 1)
+--R      *
+--R         log(sinh(a x) - cosh(a x))
+--R     + 
+--R                                                                     2
+--R         (- 4a x cosh(a x)sinh(a x) - a x cosh(2a x) - 2a x cosh(a x)  - a x)
+--R      *
+--R         tanh(a x)
+--R     + 
+--R       (- 4log(- 2) + 8a x)cosh(a x)sinh(a x) + (- log(- 2) + 2a x)cosh(2a x)
+--R     + 
+--R                                    2
+--R       (- 2log(- 2) + 4a x)cosh(a x)  - log(- 2) - 2a x
+--R  /
+--R       2                      2               2         2    2
+--R     4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 38
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (7)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 39
+ff:=coshsqrrule ee
+--R
+--R   (8)
+--R       (2cosh(a x)sinh(a x) + cosh(2a x) + 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (- 2a x cosh(a x)sinh(a x) - a x cosh(2a x) - a x)tanh(a x)
+--R     + 
+--R       (- 2log(- 2) + 4a x)cosh(a x)sinh(a x) + (- log(- 2) + 2a x)cosh(2a x)
+--R     + 
+--R       - log(- 2)
+--R  /
+--R       2                      2              2
+--R     2a cosh(a x)sinh(a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %P sinh(y + x) - %P sinh(y - x)
+--I   (9)  %P cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 41
+gg:=sinhcoshrule ff
+--R
+--R   (10)
+--R       (sinh(2a x) + cosh(2a x) + 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (- a x sinh(2a x) - a x cosh(2a x) - a x)tanh(a x)
+--R     + 
+--R       (- log(- 2) + 2a x)sinh(2a x) + (- log(- 2) + 2a x)cosh(2a x) - log(- 2)
+--R  /
+--R      2              2              2
+--R     a sinh(2a x) + a cosh(2a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 42     14:632 Schaums and Axiom differ by a constant
+hh:=complexNormalize gg
+--R
+--R         log(- 1) - log(- 2)
+--R   (11)  -------------------
+--R                   2
+--R                  a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.633~~~~~$\displaystyle
@@ -192,7 +665,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 10
+--S 43     14:633 Axiom cannot compute this integral
 aa:=integrate(sech(a*x)/x,x)
 --R 
 --R
@@ -212,7 +685,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 10
+--S 44
 aa:=integrate(1/(q+p*sech(a*x)),x)
 --R 
 --R
@@ -259,6 +732,238 @@ aa:=integrate(1/(q+p*sech(a*x)),x)
 --R                                a q\|q  - p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 45
+t1:=integrate(1/(p+q*cosh(a*x)),x)
+--R
+--R   (2)
+--R   [
+--R       log
+--R                   2         2      2                              2         2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                + 
+--R                                    2     2
+--R                  2p q cosh(a x) - q  + 2p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                 3     2                 3     2                  2     3
+--R              (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R         /
+--R                         2                                             2
+--R              q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R            + 
+--R              2p cosh(a x) + q
+--R    /
+--R         +---------+
+--R         |   2    2
+--R       a\|- q  + p
+--R     ,
+--R                                          +-------+
+--R                                          | 2    2
+--R          (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R    2atan(-----------------------------------------)
+--R                            2    2
+--R                           q  - p
+--R    ------------------------------------------------]
+--R                         +-------+
+--R                         | 2    2
+--R                       a\|q  - p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 46
+bb1:=x/q-p/q*t1.1
+--R
+--R   (3)
+--R       -
+--R            p
+--R         *
+--R            log
+--R                        2         2      2
+--R                       q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x)
+--R                     + 
+--R                        2         2                     2     2
+--R                       q cosh(a x)  + 2p q cosh(a x) - q  + 2p
+--R                  *
+--R                      +---------+
+--R                      |   2    2
+--R                     \|- q  + p
+--R                 + 
+--R                      3     2                 3     2                  2     3
+--R                   (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R              /
+--R                              2                                             2
+--R                   q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R                 + 
+--R                   2p cosh(a x) + q
+--R     + 
+--R           +---------+
+--R           |   2    2
+--R       a x\|- q  + p
+--R  /
+--R         +---------+
+--R         |   2    2
+--R     a q\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 47
+bb2:=x/q-p/q*t1.2
+--R
+--R                                                  +-------+
+--R                                                  | 2    2         +-------+
+--R                  (q sinh(a x) + q cosh(a x) + p)\|q  - p          | 2    2
+--R        - 2p atan(-----------------------------------------) + a x\|q  - p
+--R                                    2    2
+--R                                   q  - p
+--R   (4)  --------------------------------------------------------------------
+--R                                        +-------+
+--R                                        | 2    2
+--R                                    a q\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 48
+cc1:=aa.1-bb1
+--R
+--R   (5)
+--R         p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R         p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  + 2p q)sinh(a x) + (- 2q  + 2p q)cosh(a x) - 2p q  + 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R  /
+--R         +---------+
+--R         |   2    2
+--R     a q\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 49
+cc2:=aa.2-bb1
+--R
+--R   (6)
+--R           +-------+
+--R           | 2    2
+--R         p\|q  - p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R                                                            +-------+
+--R            +---------+                                     | 2    2
+--R            |   2    2      (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R       - 2p\|- q  + p  atan(-----------------------------------------)
+--R                                              2    2
+--R                                             q  - p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a q\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 50
+cc3:=aa.1-bb2
+--R
+--R   (7)
+--R           +-------+
+--R           | 2    2
+--R         p\|q  - p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  + 2p q)sinh(a x) + (- 2q  + 2p q)cosh(a x) - 2p q  + 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R                                                          +-------+
+--R          +---------+                                     | 2    2
+--R          |   2    2      (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R       2p\|- q  + p  atan(-----------------------------------------)
+--R                                            2    2
+--R                                           q  - p
+--R  /
+--R         +---------+ +-------+
+--R         |   2    2  | 2    2
+--R     a q\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 51     14:634 Schaums and Axiom agree
+cc4:=aa.2-bb2
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.635~~~~~$\displaystyle
@@ -270,7 +975,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 10
+--S 52     14:635 Axiom cannot compute this integral
 aa:=integrate(sech(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum33.input.pamphlet b/src/input/schaum33.input.pamphlet
index c5ee6a2..74e0c8b 100644
--- a/src/input/schaum33.input.pamphlet
+++ b/src/input/schaum33.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 10
+--S 1
 aa:=integrate(csch(a*x),x)
 --R 
 --R
@@ -27,6 +27,38 @@ aa:=integrate(csch(a*x),x)
 --R                                        a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/a*log(tanh((a*x)/2))
+--R
+--R                 a x
+--R        log(tanh(---))
+--R                  2
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R   (3)
+--R                  a x
+--R       - log(tanh(---)) - log(sinh(a x) + cosh(a x) + 1)
+--R                   2
+--R     + 
+--R       log(sinh(a x) + cosh(a x) - 1)
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4      14:636 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.637~~~~~$\displaystyle
@@ -37,7 +69,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 10
+--S 5
 aa:=integrate(csch(a*x)^2,x)
 --R 
 --R
@@ -47,6 +79,30 @@ aa:=integrate(csch(a*x)^2,x)
 --R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 6
+bb:=-coth(a*x)/a
+--R
+--R          coth(a x)
+--R   (2)  - ---------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 7      14:637 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                         2
+--R       coth(a x)sinh(a x)  + 2cosh(a x)coth(a x)sinh(a x)
+--R     + 
+--R                 2
+--R       (cosh(a x)  - 1)coth(a x) - 2
+--R  /
+--R                2                                      2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.638~~~~~$\displaystyle
@@ -57,7 +113,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 10
+--S 8
 aa:=integrate(csch(a*x)^3,x)
 --R 
 --R
@@ -93,6 +149,72 @@ aa:=integrate(csch(a*x)^3,x)
 --R       2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 9
+bb:=-(csch(a*x)*coth(a*x))/(2*a)-1/(2*a)*log(tanh((a*x)/2))
+--R
+--R                   a x
+--R        - log(tanh(---)) - coth(a x)csch(a x)
+--R                    2
+--R   (2)  -------------------------------------
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 10     14:638 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  - 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  - 4cosh(a x))sinh(a x) + cosh(a x)  - 2cosh(a x)  + 1
+--R      *
+--R                  a x
+--R         log(tanh(---))
+--R                   2
+--R     + 
+--R                    4                      3              2              2
+--R           sinh(a x)  + 4cosh(a x)sinh(a x)  + (6cosh(a x)  - 2)sinh(a x)
+--R         + 
+--R                      3                                   4             2
+--R           (4cosh(a x)  - 4cosh(a x))sinh(a x) + cosh(a x)  - 2cosh(a x)  + 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                      4                      3                2              2
+--R           - sinh(a x)  - 4cosh(a x)sinh(a x)  + (- 6cosh(a x)  + 2)sinh(a x)
+--R         + 
+--R                        3                                   4             2
+--R           (- 4cosh(a x)  + 4cosh(a x))sinh(a x) - cosh(a x)  + 2cosh(a x)  - 1
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                                  4
+--R       coth(a x)csch(a x)sinh(a x)
+--R     + 
+--R                                                  3
+--R       (4cosh(a x)coth(a x)csch(a x) - 2)sinh(a x)
+--R     + 
+--R                   2                                              2
+--R       ((6cosh(a x)  - 2)coth(a x)csch(a x) - 6cosh(a x))sinh(a x)
+--R     + 
+--R                   3                                             2
+--R       ((4cosh(a x)  - 4cosh(a x))coth(a x)csch(a x) - 6cosh(a x)  - 2)sinh(a x)
+--R     + 
+--R               4             2                                    3
+--R     (cosh(a x)  - 2cosh(a x)  + 1)coth(a x)csch(a x) - 2cosh(a x)  - 2cosh(a x)
+--R  /
+--R                   4                        3                 2               2
+--R       2a sinh(a x)  + 8a cosh(a x)sinh(a x)  + (12a cosh(a x)  - 4a)sinh(a x)
+--R     + 
+--R                    3                                        4               2
+--R       (8a cosh(a x)  - 8a cosh(a x))sinh(a x) + 2a cosh(a x)  - 4a cosh(a x)
+--R     + 
+--R       2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.639~~~~~$\displaystyle
@@ -103,7 +225,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 10
+--S 11
 aa:=integrate(csch(a*x)^n*coth(a*x),x)
 --R 
 --R
@@ -121,6 +243,202 @@ aa:=integrate(csch(a*x)^n*coth(a*x),x)
 --R     a n
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 12
+bb:=-csch(a*x)^n/(n*a)
+--R
+--R                   n
+--R          csch(a x)
+--R   (2)  - ----------
+--R              a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 13
+cc:=aa-bb
+--R
+--R   (3)
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - sinh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R     + 
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - cosh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R     + 
+--R                n
+--R       csch(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 14
+cschrule:=rule(csch(x) == 1/sinh(x))
+--R
+--R                      1
+--R   (4)  csch(x) == -------
+--R                   sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 15
+dd:=cschrule cc
+--R
+--R   (5)
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - sinh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R     + 
+--R                                 2sinh(a x) + 2cosh(a x)
+--R       - cosh(n log(-------------------------------------------------))
+--R                             2                                  2
+--R                    sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1
+--R     + 
+--R            1     n
+--R       (---------)
+--R        sinh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 16
+ee:=expandLog dd
+--R
+--R   (6)
+--R       sinh
+--R                           2                                  2
+--R            n log(sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1)
+--R          + 
+--R            - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R       -
+--R          cosh
+--R                              2                                  2
+--R               n log(sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1)
+--R             + 
+--R               - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R            1     n
+--R       (---------)
+--R        sinh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (7)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 18
+ff:=sinhsqrrule ee
+--R
+--R   (8)
+--R       sinh
+--R                                                               2
+--R                  4cosh(a x)sinh(a x) + cosh(2a x) + 2cosh(a x)  - 3
+--R            n log(--------------------------------------------------)
+--R                                           2
+--R          + 
+--R            - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R       -
+--R          cosh
+--R                                                                  2
+--R                     4cosh(a x)sinh(a x) + cosh(2a x) + 2cosh(a x)  - 3
+--R               n log(--------------------------------------------------)
+--R                                              2
+--R             + 
+--R               - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R            1     n
+--R       (---------)
+--R        sinh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (9)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 20
+gg:=coshsqrrule ff
+--R
+--R   (10)
+--R       sinh
+--R            n log(2cosh(a x)sinh(a x) + cosh(2a x) - 1)
+--R          + 
+--R            - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R       -
+--R          cosh
+--R               n log(2cosh(a x)sinh(a x) + cosh(2a x) - 1)
+--R             + 
+--R               - n log(sinh(a x) + cosh(a x)) - n log(2)
+--R     + 
+--R            1     n
+--R       (---------)
+--R        sinh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 21
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                              %O sinh(y + x) - %O sinh(y - x)
+--I   (11)  %O cosh(y)sinh(x) == -------------------------------
+--R                                             2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 22
+hh:=sinhcoshrule gg
+--R
+--R   (12)
+--R       sinh
+--R            n log(sinh(2a x) + cosh(2a x) - 1) - n log(sinh(a x) + cosh(a x))
+--R          + 
+--R            - n log(2)
+--R     + 
+--R       -
+--R          cosh
+--R               n log(sinh(2a x) + cosh(2a x) - 1) - n log(sinh(a x) + cosh(a x))
+--R             + 
+--R               - n log(2)
+--R     + 
+--R            1     n
+--R       (---------)
+--R        sinh(a x)
+--R  /
+--R     a n
+--R                                                     Type: Expression Integer
+--E
+
+--S 23     14:639 Schaums and Axiom agree
+ii:=complexNormalize hh
+--R
+--R   (13)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.640~~~~~$\displaystyle
@@ -131,7 +449,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 10
+--S 24
 aa:=integrate(1/csch(a*x),x)
 --R 
 --R
@@ -140,6 +458,22 @@ aa:=integrate(1/csch(a*x),x)
 --R            a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 25
+bb:=1/a*cosh(a*x)
+--R
+--R        cosh(a x)
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26     14:640 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.641~~~~~$\displaystyle
@@ -152,7 +486,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 10
+--S 27     14:641 Axiom cannot compute this integral
 aa:=integrate(x*csch(a*x),x)
 --R 
 --R
@@ -172,7 +506,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 10
+--S 28
 aa:=integrate(x*csch(a*x)^2,x)
 --R 
 --R
@@ -191,6 +525,156 @@ aa:=integrate(x*csch(a*x)^2,x)
 --R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 29
+bb:=-(x*coth(a*x))/a+1/a^2*log(sinh(a*x))
+--R
+--R        log(sinh(a x)) - a x coth(a x)
+--R   (2)  ------------------------------
+--R                       2
+--R                      a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30
+cc:=aa-bb
+--R
+--R   (3)
+--R                   2                                  2
+--R       (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  + 1)log(sinh(a x))
+--R     + 
+--R                   2                                  2
+--R         (sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  - 1)
+--R      *
+--R                     2sinh(a x)
+--R         log(- ---------------------)
+--R               sinh(a x) - cosh(a x)
+--R     + 
+--R                                      2
+--R       (a x coth(a x) - 2a x)sinh(a x)
+--R     + 
+--R       (2a x cosh(a x)coth(a x) - 4a x cosh(a x))sinh(a x)
+--R     + 
+--R                     2                                 2
+--R       (a x cosh(a x)  - a x)coth(a x) - 2a x cosh(a x)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+dd:=expandLog cc
+--R
+--R   (4)
+--R                     2                                  2
+--R         (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  + 1)
+--R      *
+--R         log(sinh(a x) - cosh(a x))
+--R     + 
+--R                                                 2
+--R       (a x coth(a x) + log(- 2) - 2a x)sinh(a x)
+--R     + 
+--R       (2a x cosh(a x)coth(a x) + (2log(- 2) - 4a x)cosh(a x))sinh(a x)
+--R     + 
+--R                     2                                             2
+--R       (a x cosh(a x)  - a x)coth(a x) + (log(- 2) - 2a x)cosh(a x)  - log(- 2)
+--R  /
+--R      2         2     2                      2         2    2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (5)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 33
+ee:=sinhsqrrule dd
+--R
+--R   (6)
+--R                                                         2
+--R         (- 4cosh(a x)sinh(a x) - cosh(2a x) - 2cosh(a x)  + 3)
+--R      *
+--R         log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (4a x cosh(a x)coth(a x) + (4log(- 2) - 8a x)cosh(a x))sinh(a x)
+--R     + 
+--R                                       2
+--R       (a x cosh(2a x) + 2a x cosh(a x)  - 3a x)coth(a x)
+--R     + 
+--R                                                                2
+--R       (log(- 2) - 2a x)cosh(2a x) + (2log(- 2) - 4a x)cosh(a x)  - 3log(- 2)
+--R     + 
+--R       2a x
+--R  /
+--R       2                      2               2         2     2
+--R     4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  - 3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (7)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 35
+ff:=coshsqrrule ee
+--R
+--R   (8)
+--R       (- 2cosh(a x)sinh(a x) - cosh(2a x) + 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (2a x cosh(a x)coth(a x) + (2log(- 2) - 4a x)cosh(a x))sinh(a x)
+--R     + 
+--R       (a x cosh(2a x) - a x)coth(a x) + (log(- 2) - 2a x)cosh(2a x) - log(- 2)
+--R  /
+--R       2                      2              2
+--R     2a cosh(a x)sinh(a x) + a cosh(2a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %P sinh(y + x) - %P sinh(y - x)
+--I   (9)  %P cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 37
+gg:=sinhcoshrule ff
+--R
+--R   (10)
+--R       (- sinh(2a x) - cosh(2a x) + 1)log(sinh(a x) - cosh(a x))
+--R     + 
+--R       (a x coth(a x) + log(- 2) - 2a x)sinh(2a x)
+--R     + 
+--R       (a x cosh(2a x) - a x)coth(a x) + (log(- 2) - 2a x)cosh(2a x) - log(- 2)
+--R  /
+--R      2              2              2
+--R     a sinh(2a x) + a cosh(2a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 38     14:642 Axiom cannot simplify this expression
+hh:=complexNormalize gg
+--R
+--R         - log(- 1) + log(- 2)
+--R   (11)  ---------------------
+--R                    2
+--R                   a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.643~~~~~$\displaystyle
@@ -202,7 +686,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 10
+--S 39     14:643 Axiom cannot compute this integral
 aa:=integrate(csch(a*x)/x,x)
 --R 
 --R
@@ -222,7 +706,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 10
+--S 40
 aa:=integrate(1/(q+p*csch(a*x)),x)
 --R 
 --R
@@ -257,6 +741,251 @@ aa:=integrate(1/(q+p*csch(a*x)),x)
 --R     a q\|q  + p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 41
+t1:=integrate(1/(p+q*sinh(a*x)),x)
+--R
+--R   (2)
+--R     log
+--R                 2         2      2                              2         2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R              + 
+--R                                  2     2
+--R                2p q cosh(a x) + q  + 2p
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  + p
+--R          + 
+--R                 3     2                   3     2                  2     3
+--R            (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R       /
+--R                       2                                             2
+--R            q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R          + 
+--R            2p cosh(a x) - q
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  + p
+--R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 42
+bb:=x/q-p/q*t1
+--R
+--R   (3)
+--R       -
+--R            p
+--R         *
+--R            log
+--R                        2         2      2
+--R                       q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x)
+--R                     + 
+--R                        2         2                     2     2
+--R                       q cosh(a x)  + 2p q cosh(a x) + q  + 2p
+--R                  *
+--R                      +-------+
+--R                      | 2    2
+--R                     \|q  + p
+--R                 + 
+--R                      3     2                   3     2                  2     3
+--R                 (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R              /
+--R                              2                                             2
+--R                   q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R                 + 
+--R                   2p cosh(a x) - q
+--R     + 
+--R           +-------+
+--R           | 2    2
+--R       a x\|q  + p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+cc:=aa-bb
+--R
+--R   (4)
+--R         p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  + 2p q)sinh(a x) + (2q  + 2p q)cosh(a x) + 2p q  + 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) - q
+--R     + 
+--R         p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) - q
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 44
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (5)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 45
+dd:=sinhsqrrule cc
+--R
+--R   (6)
+--R         p
+--R      *
+--R         log
+--R                       2                              2
+--R                    (4q cosh(a x) + 4p q)sinh(a x) + q cosh(2a x)
+--R                  + 
+--R                      2         2                     2     2
+--R                    2q cosh(a x)  + 4p q cosh(a x) + q  + 4p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (4q  + 4p q)sinh(a x) + (4q  + 4p q)cosh(a x) + 4p q  + 4p
+--R           /
+--R                                                                          2
+--R                (4q cosh(a x) + 4p)sinh(a x) + q cosh(2a x) + 2q cosh(a x)
+--R              + 
+--R                4p cosh(a x) - 3q
+--R     + 
+--R         p
+--R      *
+--R         log
+--R                       2                              2
+--R                    (4q cosh(a x) + 4p q)sinh(a x) + q cosh(2a x)
+--R                  + 
+--R                      2         2                     2     2
+--R                    2q cosh(a x)  + 4p q cosh(a x) + q  + 4p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 4q  - 4p q)sinh(a x) + (- 4q  - 4p q)cosh(a x) - 4p q  - 4p
+--R           /
+--R                                                                          2
+--R                (4q cosh(a x) + 4p)sinh(a x) + q cosh(2a x) + 2q cosh(a x)
+--R              + 
+--R                4p cosh(a x) - 3q
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 46
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (7)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 47
+ee:=coshsqrrule dd
+--R
+--R   (8)
+--R         p
+--R      *
+--R         log
+--R                       2                              2
+--R                    (2q cosh(a x) + 2p q)sinh(a x) + q cosh(2a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  + 2p q)sinh(a x) + (2q  + 2p q)cosh(a x) + 2p q  + 2p
+--R           /
+--R              (2q cosh(a x) + 2p)sinh(a x) + q cosh(2a x) + 2p cosh(a x) - q
+--R     + 
+--R         p
+--R      *
+--R         log
+--R                       2                              2
+--R                    (2q cosh(a x) + 2p q)sinh(a x) + q cosh(2a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R           /
+--R              (2q cosh(a x) + 2p)sinh(a x) + q cosh(2a x) + 2p cosh(a x) - q
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a q\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 48     14:644 Schaums and Axiom differ by a constant
+ff:=complexNormalize ee
+--R
+--R               4    2 2
+--R        p log(q  + p q )
+--R   (9)  ----------------
+--R              +-------+
+--R              | 2    2
+--R          a q\|q  + p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.645~~~~~$\displaystyle
@@ -268,7 +997,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 10
+--S 49     14:645 Axiom cannot compute this integral
 aa:=integrate(csch(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum34.input.pamphlet b/src/input/schaum34.input.pamphlet
index 1a5c359..83d7061 100644
--- a/src/input/schaum34.input.pamphlet
+++ b/src/input/schaum34.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 32
+--S 1
 aa:=integrate(asinh(x/a),x)
 --R 
 --R
@@ -33,6 +33,69 @@ aa:=integrate(asinh(x/a),x)
 --R                                \|x  + a   - x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=x*asinh(x/a)-sqrt(x^2+a^2)
+--R
+--R           +-------+
+--R           | 2    2            x
+--R   (2)  - \|x  + a   + x asinh(-)
+--R                               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R               +-------+
+--R               | 2    2
+--R              \|x  + a   + x            x
+--R   (3)  x log(--------------) - x asinh(-)
+--R                     a                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+asinhlogrule:=rule(asinh(x) == log(x+sqrt(x^2+1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (4)  asinh(x) == log(\|x  + 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 5
+dd:=asinhlogrule cc
+--R
+--R                                        +-------+
+--R                                        | 2    2
+--R                                        |x  + a
+--R               +-------+              a |-------  + x
+--R               | 2    2                 |    2
+--R              \|x  + a   + x           \|   a
+--R   (5)  x log(--------------) - x log(---------------)
+--R                     a                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6
+ee:=expandLog dd
+--R
+--R                                        +-------+
+--R               +-------+                | 2    2
+--R               | 2    2                 |x  + a
+--R   (6)  x log(\|x  + a   + x) - x log(a |-------  + x)
+--R                                        |    2
+--R                                       \|   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 7      14:646 Schaums and Axiom agree
+ff:=rootSimp ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.647~~~~~$\displaystyle
@@ -44,7 +107,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 32
+--S 8
 aa:=integrate(x*asinh(x/a),x)
 --R 
 --R
@@ -64,6 +127,77 @@ aa:=integrate(x*asinh(x/a),x)
 --R     8x\|x  + a   - 8x  - 4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 9
+bb:=(x^2/2+a^2/4)*asinh(x/a)-(x*sqrt(x^2+a^2))/4
+--R
+--R            +-------+
+--R            | 2    2       2    2       x
+--R        - x\|x  + a   + (2x  + a )asinh(-)
+--R                                        a
+--R   (2)  ----------------------------------
+--R                         4
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+cc:=aa-bb
+--R
+--R                       +-------+
+--R                       | 2    2
+--R           2    2     \|x  + a   + x         2    2       x
+--R        (2x  + a )log(--------------) + (- 2x  - a )asinh(-)
+--R                             a                            a
+--R   (3)  ----------------------------------------------------
+--R                                  4
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+asinhlogrule:=rule(asinh(x) == log(x+sqrt(x^2+1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (4)  asinh(x) == log(\|x  + 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 12
+dd:=asinhlogrule cc
+--R
+--R                                                          +-------+
+--R                                                          | 2    2
+--R                                                          |x  + a
+--R                       +-------+                        a |-------  + x
+--R                       | 2    2                           |    2
+--R           2    2     \|x  + a   + x         2    2      \|   a
+--R        (2x  + a )log(--------------) + (- 2x  - a )log(---------------)
+--R                             a                                 a
+--R   (5)  ----------------------------------------------------------------
+--R                                        4
+--R                                                     Type: Expression Integer
+--E
+
+--S 13
+ee:=expandLog dd
+--R
+--R                                                          +-------+
+--R                       +-------+                          | 2    2
+--R           2    2      | 2    2              2    2       |x  + a
+--R        (2x  + a )log(\|x  + a   + x) + (- 2x  - a )log(a |-------  + x)
+--R                                                          |    2
+--R                                                         \|   a
+--R   (6)  ----------------------------------------------------------------
+--R                                        4
+--R                                                     Type: Expression Integer
+--E
+
+--S 14     14:647 Schaums and Axiom agree
+ff:=rootSimp ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.648~~~~~$\displaystyle
@@ -74,7 +208,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 32
+--S 15
 aa:=integrate(x^2*asinh(x/a),x)
 --R 
 --R
@@ -94,6 +228,77 @@ aa:=integrate(x^2*asinh(x/a),x)
 --R     (36x  + 9a )\|x  + a   - 36x  - 27a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 16
+bb:=x^3/3*asinh(x/a)+((2*a^2-x^2)*sqrt(x^2+a^2))/9
+--R
+--R                     +-------+
+--R            2     2  | 2    2      3      x
+--R        (- x  + 2a )\|x  + a   + 3x asinh(-)
+--R                                          a
+--R   (2)  ------------------------------------
+--R                          9
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+cc:=aa-bb
+--R
+--R               +-------+
+--R               | 2    2
+--R         3    \|x  + a   + x     3      x
+--R        x log(--------------) - x asinh(-)
+--R                     a                  a
+--R   (3)  ----------------------------------
+--R                         3
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+asinhlogrule:=rule(asinh(x) == log(x+sqrt(x^2+1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (4)  asinh(x) == log(\|x  + 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 19
+dd:=asinhlogrule cc
+--R
+--R                                        +-------+
+--R                                        | 2    2
+--R                                        |x  + a
+--R               +-------+              a |-------  + x
+--R               | 2    2                 |    2
+--R         3    \|x  + a   + x     3     \|   a
+--R        x log(--------------) - x log(---------------)
+--R                     a                       a
+--R   (5)  ----------------------------------------------
+--R                               3
+--R                                                     Type: Expression Integer
+--E
+
+--S 20
+ee:=expandLog dd
+--R
+--R                                        +-------+
+--R               +-------+                | 2    2
+--R         3     | 2    2          3      |x  + a
+--R        x log(\|x  + a   + x) - x log(a |-------  + x)
+--R                                        |    2
+--R                                       \|   a
+--R   (6)  ----------------------------------------------
+--R                               3
+--R                                                     Type: Expression Integer
+--E
+
+--S 21     14:648 Schaums and Axiom agree
+ff:=rootSimp ee
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.649~~~~~$\displaystyle
@@ -124,7 +329,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 32
+--S 22     14:649 Axiom cannot compute this integral
 aa:=integrate(asinh(x/a)/x,x)
 --R 
 --R
@@ -146,7 +351,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 32
+--S 23
 aa:=integrate(asinh(x/a)/x^2,x)
 --R 
 --R
@@ -164,6 +369,113 @@ aa:=integrate(asinh(x/a)/x^2,x)
 --R     a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 24
+bb:=-asinh(x/a)/x-1/a*log((a+sqrt(x^2+a^2))/x)
+--R
+--R                 +-------+
+--R                 | 2    2
+--R                \|x  + a   + a            x
+--R        - x log(--------------) - a asinh(-)
+--R                       x                  a
+--R   (2)  ------------------------------------
+--R                         a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+cc:=aa-bb
+--R
+--R   (3)
+--R                +-------+                   +-------+
+--R                | 2    2                    | 2    2
+--R       - x log(\|x  + a   - x + a) + x log(\|x  + a   - x - a)
+--R     + 
+--R                +-------+               +-------+
+--R                | 2    2                | 2    2
+--R               \|x  + a   + x          \|x  + a   + a            x
+--R       - a log(--------------) + x log(--------------) + a asinh(-)
+--R                      a                       x                  a
+--R  /
+--R     a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+asinhlogrule:=rule(asinh(x) == log(x+sqrt(x^2+1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (4)  asinh(x) == log(\|x  + 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 27
+dd:=asinhlogrule cc
+--R
+--R   (5)
+--R                +-------+                   +-------+
+--R                | 2    2                    | 2    2
+--R       - x log(\|x  + a   - x + a) + x log(\|x  + a   - x - a)
+--R     + 
+--R                                                                 +-------+
+--R                                                                 | 2    2
+--R                                                                 |x  + a
+--R                +-------+               +-------+              a |-------  + x
+--R                | 2    2                | 2    2                 |    2
+--R               \|x  + a   + x          \|x  + a   + a           \|   a
+--R       - a log(--------------) + x log(--------------) + a log(---------------)
+--R                      a                       x                       a
+--R  /
+--R     a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 28
+ee:=expandLog dd
+--R
+--R   (6)
+--R                +-------+               +-------+
+--R                | 2    2                | 2    2
+--R       - a log(\|x  + a   + x) + x log(\|x  + a   + a)
+--R     + 
+--R                +-------+                   +-------+
+--R                | 2    2                    | 2    2
+--R       - x log(\|x  + a   - x + a) + x log(\|x  + a   - x - a)
+--R     + 
+--R               +-------+
+--R               | 2    2
+--R               |x  + a
+--R       a log(a |-------  + x) - x log(x)
+--R               |    2
+--R              \|   a
+--R  /
+--R     a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 29
+ff:=rootSimp ee
+--R
+--R   (7)
+--R            +-------+             +-------+                 +-------+
+--R            | 2    2              | 2    2                  | 2    2
+--R       log(\|x  + a   + a) - log(\|x  + a   - x + a) + log(\|x  + a   - x - a)
+--R     + 
+--R       - log(x)
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30     14:650 Schaums and Axiom differ by a constant
+gg:=complexNormalize ff
+--R
+--R          log(- 1)
+--R   (8)  - --------
+--R              a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.651~~~~~$\displaystyle
@@ -182,7 +494,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 32
+--S 31
 aa:=integrate(acosh(x/a),x)
 --R 
 --R
@@ -197,6 +509,100 @@ aa:=integrate(acosh(x/a),x)
 --R                                \|x  - a   - x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 32
+bb1:=x*acosh(x/a)-sqrt(x^2-a^2)
+--R
+--R           +-------+
+--R           | 2    2            x
+--R   (2)  - \|x  - a   + x acosh(-)
+--R                               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+bb2:=x*acosh(x/a)+sqrt(x^2-a^2)
+--R
+--R         +-------+
+--R         | 2    2            x
+--R   (3)  \|x  - a   + x acosh(-)
+--R                             a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+cc1:=aa-bb1
+--R
+--R               +-------+
+--R               | 2    2
+--R              \|x  - a   + x            x
+--R   (4)  x log(--------------) - x acosh(-)
+--R                     a                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 35
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                              +-------+
+--R          +-------+           | 2    2                             +-------+
+--R          | 2    2     2     \|x  - a   + x               x        | 2    2
+--R       (x\|x  - a   - x )log(--------------) + (- x acosh(-) + 2x)\|x  - a
+--R                                    a                     a
+--R     + 
+--R        2      x      2     2
+--R       x acosh(-) - 2x  + 2a
+--R               a
+--R  /
+--R      +-------+
+--R      | 2    2
+--R     \|x  - a   - x
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+acoshlogrule:=rule(acosh(x) == log(x+sqrt(x^2-1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (6)  acosh(x) == log(\|x  - 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 37
+dd1:=acoshlogrule cc1
+--R
+--R                                        +-------+
+--R                                        | 2    2
+--R                                        |x  - a
+--R               +-------+              a |-------  + x
+--R               | 2    2                 |    2
+--R              \|x  - a   + x           \|   a
+--R   (7)  x log(--------------) - x log(---------------)
+--R                     a                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 38
+ee1:=expandLog dd1
+--R
+--R                                        +-------+
+--R               +-------+                | 2    2
+--R               | 2    2                 |x  - a
+--R   (8)  x log(\|x  - a   + x) - x log(a |-------  + x)
+--R                                        |    2
+--R                                       \|   a
+--R                                                     Type: Expression Integer
+--E
+
+--S 39     14:651 Schaums and Axiom agree
+ff1:=rootSimp ee1
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.652~~~~~$\displaystyle
@@ -217,7 +623,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 32
+--S 40
 aa:=integrate(x*acosh(x/a),x)
 --R 
 --R
@@ -237,6 +643,114 @@ aa:=integrate(x*acosh(x/a),x)
 --R     8x\|x  - a   - 8x  + 4a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 41
+bb1:=1/4*(2*x^2-a^2)*acosh(x/a)-1/4*x*sqrt(x^2-a^2)
+--R
+--R            +-------+
+--R            | 2    2       2    2       x
+--R        - x\|x  - a   + (2x  - a )acosh(-)
+--R                                        a
+--R   (2)  ----------------------------------
+--R                         4
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+bb2:=1/4*(2*x^2-a^2)*acosh(x/a)+1/4*x*sqrt(x^2-a^2)
+--R
+--R          +-------+
+--R          | 2    2       2    2       x
+--R        x\|x  - a   + (2x  - a )acosh(-)
+--R                                      a
+--R   (3)  --------------------------------
+--R                        4
+--R                                                     Type: Expression Integer
+--E
+
+--S 43
+cc1:=aa-bb1
+--R
+--R                       +-------+
+--R                       | 2    2
+--R           2    2     \|x  - a   + x         2    2       x
+--R        (2x  - a )log(--------------) + (- 2x  + a )acosh(-)
+--R                             a                            a
+--R   (4)  ----------------------------------------------------
+--R                                  4
+--R                                                     Type: Expression Integer
+--E
+
+--S 44
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                                                       +-------+
+--R                     +-------+                         | 2    2
+--R           3     2   | 2    2      4     2 2    4     \|x  - a   + x
+--R       ((4x  - 2a x)\|x  - a   - 4x  + 4a x  - a )log(--------------)
+--R                                                             a
+--R     + 
+--R                                             +-------+
+--R             3     2        x      3     2   | 2    2
+--R       ((- 4x  + 2a x)acosh(-) + 4x  - 2a x)\|x  - a
+--R                            a
+--R     + 
+--R          4     2 2    4       x      4     2 2
+--R       (4x  - 4a x  + a )acosh(-) - 4x  + 4a x
+--R                               a
+--R  /
+--R        +-------+
+--R        | 2    2      2     2
+--R     8x\|x  - a   - 8x  + 4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 45
+acoshlogrule:=rule(acosh(x) == log(x+sqrt(x^2-1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (6)  acosh(x) == log(\|x  - 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 46
+dd1:=acoshlogrule cc1
+--R
+--R                                                          +-------+
+--R                                                          | 2    2
+--R                                                          |x  - a
+--R                       +-------+                        a |-------  + x
+--R                       | 2    2                           |    2
+--R           2    2     \|x  - a   + x         2    2      \|   a
+--R        (2x  - a )log(--------------) + (- 2x  + a )log(---------------)
+--R                             a                                 a
+--R   (7)  ----------------------------------------------------------------
+--R                                        4
+--R                                                     Type: Expression Integer
+--E
+
+--S 47
+ee1:=expandLog dd1
+--R
+--R                                                          +-------+
+--R                       +-------+                          | 2    2
+--R           2    2      | 2    2              2    2       |x  - a
+--R        (2x  - a )log(\|x  - a   + x) + (- 2x  + a )log(a |-------  + x)
+--R                                                          |    2
+--R                                                         \|   a
+--R   (8)  ----------------------------------------------------------------
+--R                                        4
+--R                                                     Type: Expression Integer
+--E
+
+--S 48     14:652 Schaums and Axiom agree
+ff1:=rootSimp ee1
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.653~~~~~$\displaystyle
@@ -257,7 +771,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 32
+--S 49
 aa:=integrate(x^2*acosh(x/a),x)
 --R 
 --R
@@ -277,6 +791,114 @@ aa:=integrate(x^2*acosh(x/a),x)
 --R     (36x  - 9a )\|x  - a   - 36x  + 27a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 50
+bb1:=1/3*x^3*acosh(x/a)-1/9*(x^2+2*a^2)*sqrt(x^2-a^2)
+--R
+--R                     +-------+
+--R            2     2  | 2    2      3      x
+--R        (- x  - 2a )\|x  - a   + 3x acosh(-)
+--R                                          a
+--R   (2)  ------------------------------------
+--R                          9
+--R                                                     Type: Expression Integer
+--E
+
+--S 51
+bb2:=1/3*x^3*acosh(x/a)+1/9*(x^2+2*a^2)*sqrt(x^2-a^2)
+--R
+--R                   +-------+
+--R          2     2  | 2    2      3      x
+--R        (x  + 2a )\|x  - a   + 3x acosh(-)
+--R                                        a
+--R   (3)  ----------------------------------
+--R                         9
+--R                                                     Type: Expression Integer
+--E
+
+--S 52
+cc1:=aa-bb1
+--R
+--R               +-------+
+--R               | 2    2
+--R         3    \|x  - a   + x     3      x
+--R        x log(--------------) - x acosh(-)
+--R                     a                  a
+--R   (4)  ----------------------------------
+--R                         3
+--R                                                     Type: Expression Integer
+--E
+
+--S 53
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                                                     +-------+
+--R                       +-------+                     | 2    2
+--R            5     2 3  | 2    2       6     2 4     \|x  - a   + x
+--R       ((12x  - 3a x )\|x  - a   - 12x  + 9a x )log(--------------)
+--R                                                           a
+--R     + 
+--R                                                         +-------+
+--R              5     2 3       x      5      2 3      4   | 2    2
+--R       ((- 12x  + 3a x )acosh(-) + 8x  + 10a x  - 12a x)\|x  - a
+--R                              a
+--R     + 
+--R           6     2 4       x      6     2 4      4 2     6
+--R       (12x  - 9a x )acosh(-) - 8x  - 6a x  + 18a x  - 4a
+--R                           a
+--R  /
+--R                  +-------+
+--R         2     2  | 2    2       3      2
+--R     (36x  - 9a )\|x  - a   - 36x  + 27a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 54
+acoshlogrule:=rule(acosh(x) == log(x+sqrt(x^2-1)))
+--R
+--R                         +------+
+--R                         | 2
+--R   (6)  acosh(x) == log(\|x  - 1  + x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 55
+dd1:=acoshlogrule cc1
+--R
+--R                                        +-------+
+--R                                        | 2    2
+--R                                        |x  - a
+--R               +-------+              a |-------  + x
+--R               | 2    2                 |    2
+--R         3    \|x  - a   + x     3     \|   a
+--R        x log(--------------) - x log(---------------)
+--R                     a                       a
+--R   (7)  ----------------------------------------------
+--R                               3
+--R                                                     Type: Expression Integer
+--E
+
+--S 56
+ee1:=expandLog dd1
+--R
+--R                                        +-------+
+--R               +-------+                | 2    2
+--R         3     | 2    2          3      |x  - a
+--R        x log(\|x  - a   + x) - x log(a |-------  + x)
+--R                                        |    2
+--R                                       \|   a
+--R   (8)  ----------------------------------------------
+--R                               3
+--R                                                     Type: Expression Integer
+--E
+
+--S 57     14:653 Schaums and Axiom agree
+ff1:=rootSimp ee1
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.654~~~~~$\displaystyle
@@ -296,7 +918,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 32
+--S 58     14:654 Axiom cannot compute this integral
 aa:=integrate(acosh(x/a)/x,x)
 --R 
 --R
@@ -325,7 +947,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 32
+--S 59
 aa:=integrate(acosh(x/a)/x^2,x)
 --R 
 --R
@@ -338,6 +960,68 @@ aa:=integrate(acosh(x/a)/x^2,x)
 --R                               a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 60
+bb1:=-acosh(x/a)/x-1/a*log((a+sqrt(x^2+a^2))/x)
+--R
+--R                 +-------+
+--R                 | 2    2
+--R                \|x  + a   + a            x
+--R        - x log(--------------) - a acosh(-)
+--R                       x                  a
+--R   (2)  ------------------------------------
+--R                         a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 61
+bb2:=-acosh(x/a)/x+1/a*log((a+sqrt(x^2+a^2))/x)
+--R
+--R               +-------+
+--R               | 2    2
+--R              \|x  + a   + a            x
+--R        x log(--------------) - a acosh(-)
+--R                     x                  a
+--R   (3)  ----------------------------------
+--R                        a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 62
+cc1:=aa-bb1
+--R
+--R   (4)
+--R              +-------+               +-------+                 +-------+
+--R              | 2    2                | 2    2                  | 2    2
+--R             \|x  + a   + a          \|x  - a   + x            \|x  - a   - x
+--R       x log(--------------) - a log(--------------) + 2x atan(--------------)
+--R                    x                       a                         a
+--R     + 
+--R               x
+--R       a acosh(-)
+--R               a
+--R  /
+--R     a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 63     14:655 Axiom cannot simplify these expressions
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                +-------+               +-------+                 +-------+
+--R                | 2    2                | 2    2                  | 2    2
+--R               \|x  + a   + a          \|x  - a   + x            \|x  - a   - x
+--R       - x log(--------------) - a log(--------------) + 2x atan(--------------)
+--R                      x                       a                         a
+--R     + 
+--R               x
+--R       a acosh(-)
+--R               a
+--R  /
+--R     a x
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.656~~~~~$\displaystyle
@@ -348,7 +1032,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 32
+--S 64
 aa:=integrate(atanh(x/a),x)
 --R 
 --R
@@ -359,6 +1043,58 @@ aa:=integrate(atanh(x/a),x)
 --R                       2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 65
+bb:=x*atanh(x/a)+a/2*log(a^2-x^2)
+--R
+--R                 2    2             x
+--R        a log(- x  + a ) + 2x atanh(-)
+--R                                    a
+--R   (2)  ------------------------------
+--R                       2
+--R                                                     Type: Expression Integer
+--E
+
+--S 66
+cc:=aa-bb
+--R
+--R               2    2          - x - a             2    2             x
+--R        a log(x  - a ) + x log(-------) - a log(- x  + a ) - 2x atanh(-)
+--R                                x - a                                 a
+--R   (3)  ----------------------------------------------------------------
+--R                                        2
+--R                                                     Type: Expression Integer
+--E
+
+--S 67
+atanhrule:=rule(atanh(x) == 1/2*log((1+x)/(1-x)))
+--R
+--R                        - x - 1
+--R                    log(-------)
+--R                         x - 1
+--R   (4)  atanh(x) == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 68
+dd:=atanhrule cc
+--R
+--R               2    2             2    2
+--R        a log(x  - a ) - a log(- x  + a )
+--R   (5)  ---------------------------------
+--R                        2
+--R                                                     Type: Expression Integer
+--E
+
+--S 69     14:656 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R        a log(- 1)
+--R   (6)  ----------
+--R             2
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.657~~~~~$\displaystyle
@@ -369,7 +1105,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 32
+--S 70
 aa:=integrate(x*atanh(x/a),x)
 --R 
 --R
@@ -380,6 +1116,46 @@ aa:=integrate(x*atanh(x/a),x)
 --R                      4
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 71
+bb:=(a*x)/2+1/2*(x^2-a^2)*atanh(x/a)
+--R
+--R          2    2       x
+--R        (x  - a )atanh(-) + a x
+--R                       a
+--R   (2)  -----------------------
+--R                   2
+--R                                                     Type: Expression Integer
+--E
+
+--S 72
+cc:=aa-bb
+--R
+--R          2    2     - x - a         2     2       x
+--R        (x  - a )log(-------) + (- 2x  + 2a )atanh(-)
+--R                      x - a                        a
+--R   (3)  ---------------------------------------------
+--R                              4
+--R                                                     Type: Expression Integer
+--E
+
+--S 73
+atanhrule:=rule(atanh(x) == 1/2*log((1+x)/(1-x)))
+--R
+--R                        - x - 1
+--R                    log(-------)
+--R                         x - 1
+--R   (4)  atanh(x) == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 74     14:657 Schaums and Axiom agree
+dd:=atanhrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.658~~~~~$\displaystyle
@@ -391,7 +1167,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 32
+--S 75
 aa:=integrate(x^2*atanh(x/a),x)
 --R 
 --R
@@ -402,6 +1178,59 @@ aa:=integrate(x^2*atanh(x/a),x)
 --R                           6
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 76
+bb:=(a*x^2)/6+x^3/3*atanh(x/a)+a^3/6*log(a^2-x^2)
+--R
+--R         3       2    2      3      x       2
+--R        a log(- x  + a ) + 2x atanh(-) + a x
+--R                                    a
+--R   (2)  -------------------------------------
+--R                          6
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
+cc:=aa-bb
+--R
+--R         3     2    2     3    - x - a     3       2    2      3      x
+--R        a log(x  - a ) + x log(-------) - a log(- x  + a ) - 2x atanh(-)
+--R                                x - a                                 a
+--R   (3)  ----------------------------------------------------------------
+--R                                        6
+--R                                                     Type: Expression Integer
+--E
+
+--S 78
+atanhrule:=rule(atanh(x) == 1/2*log((1+x)/(1-x)))
+--R
+--R                        - x - 1
+--R                    log(-------)
+--R                         x - 1
+--R   (4)  atanh(x) == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 79
+dd:=atanhrule cc
+--R
+--R         3     2    2     3       2    2
+--R        a log(x  - a ) - a log(- x  + a )
+--R   (5)  ---------------------------------
+--R                        6
+--R                                                     Type: Expression Integer
+--E
+
+--S 80     14:658 Schaums and Axiom differ by a constant
+ee:=complexNormalize dd
+--R
+--R         3
+--R        a log(- 1)
+--R   (6)  ----------
+--R             6
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.659~~~~~$\displaystyle
@@ -412,7 +1241,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 32
+--S 81     14:659 Axiom cannot compute this integral
 aa:=integrate(atanh(x/a)/x,x)
 --R 
 --R
@@ -433,7 +1262,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 32
+--S 82
 aa:=integrate(atanh(x/a)/x^2,x)
 --R 
 --R
@@ -444,6 +1273,70 @@ aa:=integrate(atanh(x/a)/x^2,x)
 --R                             2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 83
+bb:=-atanh(x/a)/x+1/(2*a)*log(x^2/(a^2-x^2))
+--R
+--R                    2
+--R                   x                x
+--R        x log(- -------) - 2a atanh(-)
+--R                 2    2             a
+--R                x  - a
+--R   (2)  ------------------------------
+--R                     2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 84
+cc:=aa-bb
+--R
+--R   (3)
+--R                                                  2
+--R                2    2                           x             - x - a
+--R       - x log(x  - a ) + 2x log(x) - x log(- -------) - a log(-------)
+--R                                               2    2           x - a
+--R                                              x  - a
+--R     + 
+--R                x
+--R       2a atanh(-)
+--R                a
+--R  /
+--R     2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 85
+atanhrule:=rule(atanh(x) == 1/2*log((1+x)/(1-x)))
+--R
+--R                        - x - 1
+--R                    log(-------)
+--R                         x - 1
+--R   (4)  atanh(x) == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 86
+dd:=atanhrule cc
+--R
+--R                                             2
+--R               2    2                       x
+--R        - log(x  - a ) + 2log(x) - log(- -------)
+--R                                          2    2
+--R                                         x  - a
+--R   (5)  -----------------------------------------
+--R                            2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 87     14:660 Schaums and Axiom agree
+ee:=expandLog dd
+--R
+--R          log(- 1)
+--R   (6)  - --------
+--R             2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.661~~~~~$\displaystyle
@@ -451,10 +1344,15 @@ aa:=integrate(atanh(x/a)/x^2,x)
 $$\int{\coth^{-1}\frac{x}{a}}=
 x\coth^{-1}{x}+\frac{a}{2}\ln(x^2-a^2)
 $$
+
+Note that it appears there is a typo in Schaums (1968 printing 4). 
+$$\int{\coth^{-1}\frac{x}{a}}=
+x\coth^{-1}{x/a}+\frac{a}{2}\ln(x^2-a^2)
+$$
 <<*>>=
 )clear all
 
---S 16 of 32
+--S 88
 aa:=integrate(acoth(x/a),x)
 --R 
 --R
@@ -465,6 +1363,46 @@ aa:=integrate(acoth(x/a),x)
 --R                      2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 89
+bb:=x*acoth(x/a)+a/2*log(x^2-a^2)
+--R
+--R               2    2             x
+--R        a log(x  - a ) + 2x acoth(-)
+--R                                  a
+--R   (2)  ----------------------------
+--R                      2
+--R                                                     Type: Expression Integer
+--E
+
+--S 90
+cc:=aa-bb
+--R
+--R              x + a             x
+--R        x log(-----) - 2x acoth(-)
+--R              x - a             a
+--R   (3)  --------------------------
+--R                     2
+--R                                                     Type: Expression Integer
+--E
+
+--S 91
+acothrule:=rule(acoth(x) == 1/2*log((x+1)/(x-1)))
+--R
+--R                        x + 1
+--R                    log(-----)
+--R                        x - 1
+--R   (4)  acoth(x) == ----------
+--R                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 92     14:661 Schaums and Axiom agree
+dd:=acothrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.662~~~~~$\displaystyle
@@ -475,7 +1413,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 32
+--S 93
 aa:=integrate(x*acoth(x/a),x)
 --R 
 --R
@@ -486,6 +1424,46 @@ aa:=integrate(x*acoth(x/a),x)
 --R                     4
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 94
+bb:=(a*x)/2+1/2*(x^2-a^2)*acoth(x/a)
+--R
+--R          2    2       x
+--R        (x  - a )acoth(-) + a x
+--R                       a
+--R   (2)  -----------------------
+--R                   2
+--R                                                     Type: Expression Integer
+--E
+
+--S 95
+cc:=aa-bb
+--R
+--R          2    2     x + a         2     2       x
+--R        (x  - a )log(-----) + (- 2x  + 2a )acoth(-)
+--R                     x - a                       a
+--R   (3)  -------------------------------------------
+--R                             4
+--R                                                     Type: Expression Integer
+--E
+
+--S 96
+acothrule:=rule(acoth(x) == 1/2*log((x+1)/(x-1)))
+--R
+--R                        x + 1
+--R                    log(-----)
+--R                        x - 1
+--R   (4)  acoth(x) == ----------
+--R                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 97     14:662 Schaums and Axiom agree
+dd:=acothrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.663~~~~~$\displaystyle
@@ -497,7 +1475,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 32
+--S 98
 aa:=integrate(x^2*acoth(x/a),x)
 --R 
 --R
@@ -508,6 +1486,46 @@ aa:=integrate(x^2*acoth(x/a),x)
 --R                          6
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 99
+bb:=(a*x^2)/6+x^3/3*acoth(x/a)+a^3/6*log(x^2-a^2)
+--R
+--R         3     2    2      3      x       2
+--R        a log(x  - a ) + 2x acoth(-) + a x
+--R                                  a
+--R   (2)  -----------------------------------
+--R                         6
+--R                                                     Type: Expression Integer
+--E
+
+--S 100
+cc:=aa-bb
+--R
+--R         3    x + a      3      x
+--R        x log(-----) - 2x acoth(-)
+--R              x - a             a
+--R   (3)  --------------------------
+--R                     6
+--R                                                     Type: Expression Integer
+--E
+
+--S 101
+acothrule:=rule(acoth(x) == 1/2*log((x+1)/(x-1)))
+--R
+--R                        x + 1
+--R                    log(-----)
+--R                        x - 1
+--R   (4)  acoth(x) == ----------
+--R                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 102    14:663 Schaums and Axiom agree
+dd:=acothrule cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.664~~~~~$\displaystyle
@@ -518,7 +1536,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 32
+--S 103    14:664 Axiom cannot compute this integral
 aa:=integrate(acoth(x/a)/x,x)
 --R 
 --R
@@ -539,7 +1557,7 @@ $$
 <<*>>=
 )clear all
 
---S 20 of 32
+--S 104
 aa:=integrate(acoth(x/a)/x^2,x)
 --R 
 --R
@@ -550,6 +1568,64 @@ aa:=integrate(acoth(x/a)/x^2,x)
 --R                            2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 105
+bb:=-acoth(x/a)/x+1/(2*a)*log(x^2/(x^2-a^2))
+--R
+--R                  2
+--R                 x                x
+--R        x log(-------) - 2a acoth(-)
+--R               2    2             a
+--R              x  - a
+--R   (2)  ----------------------------
+--R                    2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 106
+cc:=aa-bb
+--R
+--R   (3)
+--R                                                           2
+--R            2    2                      x + a             x                x
+--R   - x log(x  - a ) + 2x log(x) - a log(-----) - x log(-------) + 2a acoth(-)
+--R                                        x - a           2    2             a
+--R                                                       x  - a
+--R   --------------------------------------------------------------------------
+--R                                      2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 107
+acothrule:=rule(acoth(x) == 1/2*log((x+1)/(x-1)))
+--R
+--R                        x + 1
+--R                    log(-----)
+--R                        x - 1
+--R   (4)  acoth(x) == ----------
+--R                         2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 108
+dd:=acothrule cc
+--R
+--R                                           2
+--R               2    2                     x
+--R        - log(x  - a ) + 2log(x) - log(-------)
+--R                                        2    2
+--R                                       x  - a
+--R   (5)  ---------------------------------------
+--R                           2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 109    14:665 Schaums and Axiom agree
+ee:=expandLog dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.666~~~~~$\displaystyle
@@ -568,7 +1644,7 @@ $$
 <<*>>=
 )clear all
 
---S 21 of 32
+--S 110
 aa:=integrate(asech(x/a),x)
 --R 
 --R
@@ -579,7 +1655,308 @@ aa:=integrate(asech(x/a),x)
 --R                      x                           x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 111
+bb1:=x*asech(x/a)+a*asin(x/a)
+--R
+--R               x            x
+--R   (2)  a asin(-) + x asech(-)
+--R               a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 112
+bb2:=x*asech(x/a)-a*asin(x/a)
+--R
+--R                 x            x
+--R   (3)  - a asin(-) + x asech(-)
+--R                 a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 113
+cc1:=aa-bb1
+--R
+--R   (4)
+--R          +---------+                 +---------+
+--R          |   2    2                  |   2    2
+--R         \|- x  + a   + a            \|- x  + a   - a           x            x
+--R   x log(----------------) - 2a atan(----------------) - a asin(-) - x asech(-)
+--R                 x                           x                  a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 114
+cc2:=aa-bb2
+--R
+--R   (5)
+--R          +---------+                 +---------+
+--R          |   2    2                  |   2    2
+--R         \|- x  + a   + a            \|- x  + a   - a           x            x
+--R   x log(----------------) - 2a atan(----------------) + a asin(-) - x asech(-)
+--R                 x                           x                  a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 115
+asechrule:=rule(asech(x) == log(1/x+sqrt(1/x^2-1)))
+--R
+--R                          +--------+
+--R                          |   2
+--R                          |- x  + 1
+--R                        x |--------  + 1
+--R                          |    2
+--R                         \|   x
+--R   (6)  asech(x) == log(----------------)
+--R                                x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 116
+dd1:=asechrule cc1
+--R
+--R   (7)
+--R               +---------+
+--R               |   2    2
+--R               |- x  + a
+--R             x |---------  + a           +---------+
+--R               |     2                   |   2    2
+--R              \|    x                   \|- x  + a   + a
+--R     - x log(-----------------) + x log(----------------)
+--R                     x                          x
+--R   + 
+--R                +---------+
+--R                |   2    2
+--R               \|- x  + a   - a           x
+--R     - 2a atan(----------------) - a asin(-)
+--R                       x                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 117
+asinrule:=rule(asin(x) == %i*log(-%i*x+sqrt(1-x^2)))
+--R
+--R                           +--------+
+--R                           |   2
+--R   (8)  asin(x) == %i log(\|- x  + 1  - %i x)
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 118
+ee1:=asinrule dd1
+--R
+--R   (9)
+--R               +---------+                   +---------+
+--R               |   2    2                    |   2    2
+--R               |- x  + a                     |- x  + a
+--R             x |---------  + a             a |---------  - %i x
+--R               |     2                       |     2
+--R              \|    x                       \|    a
+--R     - x log(-----------------) - %i a log(--------------------)
+--R                     x                               a
+--R   + 
+--R            +---------+                 +---------+
+--R            |   2    2                  |   2    2
+--R           \|- x  + a   + a            \|- x  + a   - a
+--R     x log(----------------) - 2a atan(----------------)
+--R                   x                           x
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 119
+atanrule:=rule(atan(x) == -%i/2*log((1+%i*x)/(1-%i*x)))
+--R
+--R                             - x + %i
+--R                      %i log(--------)
+--R                              x + %i
+--R   (10)  atan(x) == - ----------------
+--R                              2
+--R        Type: RewriteRule(Integer,Complex Integer,Expression Complex Integer)
+--E
+
+--S 120
+ff1:=atanrule ee1
+--R
+--R   (11)
+--R               +---------+                   +---------+
+--R               |   2    2                    |   2    2
+--R               |- x  + a                     |- x  + a
+--R             x |---------  + a             a |---------  - %i x
+--R               |     2                       |     2
+--R              \|    x                       \|    a
+--R     - x log(-----------------) - %i a log(--------------------)
+--R                     x                               a
+--R   + 
+--R            +---------+                    +---------+
+--R            |   2    2                     |   2    2
+--R           \|- x  + a   + a             - \|- x  + a   + %i x + a
+--R     x log(----------------) + %i a log(-------------------------)
+--R                   x                      +---------+
+--R                                          |   2    2
+--R                                         \|- x  + a   + %i x - a
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 121
+gg1:=expandLog ff1
+--R
+--R   (12)
+--R               +---------+                   +---------+
+--R               |   2    2                    |   2    2
+--R               |- x  + a                     |- x  + a
+--R     - x log(x |---------  + a) - %i a log(a |---------  - %i x)
+--R               |     2                       |     2
+--R              \|    x                       \|    a
+--R   + 
+--R                 +---------+                      +---------+
+--R                 |   2    2                       |   2    2
+--R     - %i a log(\|- x  + a   + %i x - a) + x log(\|- x  + a   + a)
+--R   + 
+--R               +---------+
+--R               |   2    2
+--R     %i a log(\|- x  + a   - %i x - a) + %i a log(a) + %i a log(- 1)
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 122
+hh1:=rootSimp gg1
+--R
+--R   (13)
+--R                   +-------+                           +-------+
+--R                   | 2    2                            | 2    2
+--R     - %i a log(%i\|x  - a   + %i x - a) - %i a log(%i\|x  - a   - %i x)
+--R   + 
+--R                 +-------+
+--R                 | 2    2
+--R     %i a log(%i\|x  - a   - %i x - a) + %i a log(a) + %i a log(- 1)
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 123    14:666 Schaums and Axiom agree
+ii1:=complexNormalize hh1
+--R
+--R   (14)  0
+--R                                             Type: Expression Complex Integer
+--E
+
+@
+Note that Axiom has a built-in assumption about the sign of asech(x/a).
+We can see this if we simplify the cc2 value and show that it differs
+by a complex value of x.
+<<*>>=
+--S 124
+dd2:=asechrule cc2
+--R
+--R   (15)
+--R               +---------+
+--R               |   2    2
+--R               |- x  + a
+--R             x |---------  + a           +---------+
+--R               |     2                   |   2    2
+--R              \|    x                   \|- x  + a   + a
+--R     - x log(-----------------) + x log(----------------)
+--R                     x                          x
+--R   + 
+--R                +---------+
+--R                |   2    2
+--R               \|- x  + a   - a           x
+--R     - 2a atan(----------------) + a asin(-)
+--R                       x                  a
+--R                                                     Type: Expression Integer
+--E
+
+--S 125
+ee2:=asinrule dd2
+--R
+--R   (16)
+--R               +---------+                   +---------+
+--R               |   2    2                    |   2    2
+--R               |- x  + a                     |- x  + a
+--R             x |---------  + a             a |---------  - %i x
+--R               |     2                       |     2
+--R              \|    x                       \|    a
+--R     - x log(-----------------) + %i a log(--------------------)
+--R                     x                               a
+--R   + 
+--R            +---------+                 +---------+
+--R            |   2    2                  |   2    2
+--R           \|- x  + a   + a            \|- x  + a   - a
+--R     x log(----------------) - 2a atan(----------------)
+--R                   x                           x
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 126
+ff2:=atanrule ee2
+--R
+--R   (17)
+--R               +---------+                   +---------+
+--R               |   2    2                    |   2    2
+--R               |- x  + a                     |- x  + a
+--R             x |---------  + a             a |---------  - %i x
+--R               |     2                       |     2
+--R              \|    x                       \|    a
+--R     - x log(-----------------) + %i a log(--------------------)
+--R                     x                               a
+--R   + 
+--R            +---------+                    +---------+
+--R            |   2    2                     |   2    2
+--R           \|- x  + a   + a             - \|- x  + a   + %i x + a
+--R     x log(----------------) + %i a log(-------------------------)
+--R                   x                      +---------+
+--R                                          |   2    2
+--R                                         \|- x  + a   + %i x - a
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 127
+gg2:=expandLog ff2
+--R
+--R   (18)
+--R               +---------+                   +---------+
+--R               |   2    2                    |   2    2
+--R               |- x  + a                     |- x  + a
+--R     - x log(x |---------  + a) + %i a log(a |---------  - %i x)
+--R               |     2                       |     2
+--R              \|    x                       \|    a
+--R   + 
+--R                 +---------+                      +---------+
+--R                 |   2    2                       |   2    2
+--R     - %i a log(\|- x  + a   + %i x - a) + x log(\|- x  + a   + a)
+--R   + 
+--R               +---------+
+--R               |   2    2
+--R     %i a log(\|- x  + a   - %i x - a) - %i a log(a) + %i a log(- 1)
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 128
+hh2:=rootSimp gg2
+--R
+--R   (19)
+--R                   +-------+                           +-------+
+--R                   | 2    2                            | 2    2
+--R     - %i a log(%i\|x  - a   + %i x - a) + %i a log(%i\|x  - a   - %i x)
+--R   + 
+--R                 +-------+
+--R                 | 2    2
+--R     %i a log(%i\|x  - a   - %i x - a) - %i a log(a) + %i a log(- 1)
+--R                                             Type: Expression Complex Integer
+--E
+
+--S 129
+ii2:=complexNormalize hh2
+--R
+--R                      +-------+
+--R                      | 2    2
+--R   (20)  2%i a log(%i\|x  - a   - %i x) - 2%i a log(a)
+--R                                             Type: Expression Complex Integer
+--E
+
 @
+Thus we can conjecture that solutions that show up with x in only the
+imaginary part do so when the assumption of the sign of an inverse
+function differs.
 
 \section{\cite{1}:14.667~~~~~$\displaystyle
 \int{x{\rm ~sech}^{-1}\frac{x}{a}}~dx$}
@@ -599,7 +1976,7 @@ $$
 <<*>>=
 )clear all
 
---S 22 of 32
+--S 130
 aa:=integrate(x*asech(x/a),x)
 --R 
 --R
@@ -614,6 +1991,118 @@ aa:=integrate(x*asech(x/a),x)
 --R                         2\|- x  + a   - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 131
+bb1:=1/2*x^2*asech(x/a)-1/2*a*sqrt(a^2-x^2)
+--R
+--R            +---------+
+--R            |   2    2     2      x
+--R        - a\|- x  + a   + x asech(-)
+--R                                  a
+--R   (2)  ----------------------------
+--R                      2
+--R                                                     Type: Expression Integer
+--E
+
+--S 132
+bb2:=1/2*x^2*asech(x/a)+1/2*a*sqrt(a^2-x^2)
+--R
+--R          +---------+
+--R          |   2    2     2      x
+--R        a\|- x  + a   + x asech(-)
+--R                                a
+--R   (3)  --------------------------
+--R                     2
+--R                                                     Type: Expression Integer
+--E
+
+--S 133
+cc1:=aa-bb1
+--R
+--R               +---------+
+--R               |   2    2
+--R         2    \|- x  + a   + a     2      x     2
+--R        x log(----------------) - x asech(-) - a
+--R                      x                   a
+--R   (4)  -----------------------------------------
+--R                            2
+--R                                                     Type: Expression Integer
+--E
+
+--S 134
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                                   +---------+
+--R           +---------+             |   2    2
+--R         2 |   2    2       2     \|- x  + a   + a
+--R       (x \|- x  + a   - a x )log(----------------)
+--R                                          x
+--R     + 
+--R                           +---------+
+--R           2      x     2  |   2    2       2      x        2    3
+--R       (- x asech(-) + a )\|- x  + a   + a x asech(-) + 2a x  - a
+--R                  a                                a
+--R  /
+--R       +---------+
+--R       |   2    2
+--R     2\|- x  + a   - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 135
+asechrule:=rule(asech(x) == log(1/x+sqrt(1/x^2-1)))
+--R
+--R                          +--------+
+--R                          |   2
+--R                          |- x  + 1
+--R                        x |--------  + 1
+--R                          |    2
+--R                         \|   x
+--R   (6)  asech(x) == log(----------------)
+--R                                x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 136
+dd1:=asechrule cc1
+--R
+--R                  +---------+
+--R                  |   2    2
+--R                  |- x  + a
+--R                x |---------  + a           +---------+
+--R                  |     2                   |   2    2
+--R           2     \|    x              2    \|- x  + a   + a     2
+--R        - x log(-----------------) + x log(----------------) - a
+--R                        x                          x
+--R   (7)  ---------------------------------------------------------
+--R                                    2
+--R                                                     Type: Expression Integer
+--E
+
+--S 137
+ee1:=expandLog dd1
+--R
+--R                  +---------+
+--R                  |   2    2                +---------+
+--R           2      |- x  + a           2     |   2    2          2
+--R        - x log(x |---------  + a) + x log(\|- x  + a   + a) - a
+--R                  |     2
+--R                 \|    x
+--R   (8)  ---------------------------------------------------------
+--R                                    2
+--R                                                     Type: Expression Integer
+--E
+
+--S 138    14:667 Schaums and Axiom differ by a constant
+ff1:=rootSimp ee1
+--R
+--R           2
+--R          a
+--R   (9)  - --
+--R           2
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.668~~~~~$\displaystyle
@@ -633,10 +2122,13 @@ $$\int{\frac{{\rm sech}^{-1}(x/a)}{x}}=
 \end{array}
 \right.
 $$
+
+This is a interesting result since Axiom gives a closed form 
+solution to the problem but Schaums gives a series solution.
 <<*>>=
 )clear all
 
---S 23 of 32
+--S 139    14:668 SCHAUMS AND AXIOM DIFFER (Axiom has closed form)
 aa:=integrate(asech(x/a)/x,x)
 --R 
 --R
@@ -660,7 +2152,7 @@ $$
 <<*>>=
 )clear all
 
---S 24 of 32
+--S 140
 aa:=integrate(acsch(x/a),x)
 --R 
 --R
@@ -671,6 +2163,48 @@ aa:=integrate(acsch(x/a),x)
 --R                                               x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 141
+bb1:=x*acsch(x/a)+a*asinh(x/a)
+--R
+--R                x            x
+--R   (2)  a asinh(-) + x acsch(-)
+--R                a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 142
+bb2:=x*acsch(x/a)-a*asinh(x/a)
+--R
+--R                  x            x
+--R   (3)  - a asinh(-) + x acsch(-)
+--R                  a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 143
+cc1:=aa-bb1
+--R
+--R   (4)
+--R                                    +-------+
+--R            +-------+               | 2    2
+--R            | 2    2               \|x  + a   + a            x            x
+--R   - a log(\|x  + a   - x) + x log(--------------) - a asinh(-) - x acsch(-)
+--R                                          x                  a            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 144    14:669 Axiom cannot simplify these expressions
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                                    +-------+
+--R            +-------+               | 2    2
+--R            | 2    2               \|x  + a   + a            x            x
+--R   - a log(\|x  + a   - x) + x log(--------------) + a asinh(-) - x acsch(-)
+--R                                          x                  a            a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.670~~~~~$\displaystyle
@@ -682,7 +2216,7 @@ $$
 <<*>>=
 )clear all
 
---S 25 of 32
+--S 145
 aa:=integrate(x*acsch(x/a),x)
 --R 
 --R
@@ -697,6 +2231,63 @@ aa:=integrate(x*acsch(x/a),x)
 --R                                 2\|x  + a   - 2x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 146
+bb1:=x^2/2*acsch(x/a)+(a*sqrt(x^2+a^2))/2
+--R
+--R          +-------+
+--R          | 2    2     2      x
+--R        a\|x  + a   + x acsch(-)
+--R                              a
+--R   (2)  ------------------------
+--R                    2
+--R                                                     Type: Expression Integer
+--E
+
+--S 147
+bb2:=x^2/2*acsch(x/a)-(a*sqrt(x^2+a^2))/2
+--R
+--R            +-------+
+--R            | 2    2     2      x
+--R        - a\|x  + a   + x acsch(-)
+--R                                a
+--R   (3)  --------------------------
+--R                     2
+--R                                                     Type: Expression Integer
+--E
+
+--S 148
+cc1:=aa-bb1
+--R
+--R               +-------+
+--R               | 2    2
+--R         2    \|x  + a   + a     2      x
+--R        x log(--------------) - x acsch(-)
+--R                     x                  a
+--R   (4)  ----------------------------------
+--R                         2
+--R                                                     Type: Expression Integer
+--E
+
+--S 149    14:670 Axiom cannot simplify these expressions
+cc2:=aa-bb2
+--R
+--R   (5)
+--R                               +-------+
+--R           +-------+           | 2    2                               +-------+
+--R         2 | 2    2     3     \|x  + a   + a        2      x          | 2    2
+--R       (x \|x  + a   - x )log(--------------) + (- x acsch(-) - 2a x)\|x  + a
+--R                                     x                     a
+--R     + 
+--R        3      x        2     3
+--R       x acsch(-) + 2a x  + 2a
+--R               a
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     2\|x  + a   - 2x
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.671~~~~~$\displaystyle
@@ -721,10 +2312,13 @@ $$\int{\frac{{\rm csch}^{-1}(x/a)}{x}}=
 \end{array}
 \right.
 $$
+
+Schaums gives 3 different series expansions for this integral
+but Axiom has computed a closed form.
 <<*>>=
 )clear all
 
---S 26 of 32
+--S 150    14:671 SCHAUMS AND AXIOM DIFFER (Axiom has closed form)
 aa:=integrate(acsch(x/a)/x,x)
 --R 
 --R
@@ -737,6 +2331,7 @@ aa:=integrate(acsch(x/a)/x,x)
 --R                        2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
 @
 
 \section{\cite{1}:14.672~~~~~$\displaystyle
@@ -748,7 +2343,7 @@ $$
 <<*>>=
 )clear all
 
---S 27 of 32
+--S 151    14:672 Axiom cannot compute this integral
 aa:=integrate(x^m*asinh(x/a),x)
 --R 
 --R
@@ -780,7 +2375,7 @@ $$
 <<*>>=
 )clear all
 
---S 28 of 32
+--S 152    14:673 Axiom cannot compute this integral
 aa:=integrate(x^m*acosh(x/a),x)
 --R 
 --R
@@ -801,7 +2396,7 @@ $$
 <<*>>=
 )clear all
 
---S 29 of 32
+--S 153    14:674 Axiom cannot compute this integral
 aa:=integrate(x^m*atanh(x/a),x)
 --R 
 --R
@@ -822,7 +2417,7 @@ $$
 <<*>>=
 )clear all
 
---S 30 of 32
+--S 154    14:675 Axiom cannot compute this integral
 aa:=integrate(x^m*acoth(x/a),x)
 --R 
 --R
@@ -854,7 +2449,7 @@ $$
 <<*>>=
 )clear all
 
---S 31 of 32
+--S 155    14:676 Axiom cannot compute this integral
 aa:=integrate(x^m*asech(x/a),x)
 --R 
 --R
@@ -877,7 +2472,7 @@ $$
 <<*>>=
 )clear all
 
---S 32 of 32
+--S 156    14:677 Axiom cannot compute this integral
 aa:=integrate(x^m*acsch(x/a),x)
 --R 
 --R
